# created with git log --stat=76 -M -C -500|fmt -sct -w80

commit ec46c648ae768fc6d058b92ebe2abf0058b7f253
Merge: 0ed7743b 56df42b9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 15 01:23:35 2021 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 56df42b93451086a932a11c57e4d3f68c8cf0857
Merge: 55257c59 7d3aad84
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 15 01:22:09 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 7d3aad84210753328d68b387a08eea3f206c7269
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 15 00:05:51 2021 +0200

    Document more workspace button features.

 man/icewm.pod | 74 ++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 43 insertions(+), 31 deletions(-)

commit 5b06cc206ea1ca4a7a68b9ffdb0f5bedbd168240
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 14 22:19:56 2021 +0200

    First synchronize with icewm, before updating background after icewm
    restart.

 src/icewmbg.cc | 64 +++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 51 insertions(+), 13 deletions(-)

commit 6161be0fbb57f4ad1fc987635e3ef8fa11742946
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 14 22:18:21 2021 +0200

    Improve rounded rectangle corner painting detail.

 src/ypaint.cc | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 09be9ed411c7f27d1a683967c89c09e4839006a4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 14 22:13:17 2021 +0200

    Enforce the completion of the deallocation of the single YWMApp object.

 src/wmapp.cc | 3 +++
 1 file changed, 3 insertions(+)

commit c406fc804a585a1d96db7818bed7b119c69b940d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 14 22:11:25 2021 +0200

    Add append and replace to YProperty. Improve reporting detail when
    XOpenDisplay fails.

 src/yxapp.cc | 20 +++++++++++++++++---
 src/yxapp.h  |  7 +++++--
 2 files changed, 22 insertions(+), 5 deletions(-)

commit da09cc77f2ffabf136bdb23f8a3b298e8e2ca66c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 14 22:08:36 2021 +0200

    Reduce reactiveness to mouse motion of task button by deselecting task
    button when dragging ends.

 src/atasks.cc | 11 ++++++-----
 src/atasks.h  |  1 +
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 474993356704e6c97e50073ea0d3b95f6723c1a1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 13 05:03:58 2021 +0200

    Use reversed active taskbar app text colors for drawing grouping number
    for issue #565. Improve drawing rectangles with rounded corners.
    Don't update grouping when shutting down.

 src/atasks.cc | 22 +++++++-------------
 src/wmmgr.h   |  1 +
 src/ypaint.cc | 61 ++++++++++++++++++++++++++++++++++++++++++++++++++++---
 src/ypaint.h  |  3 ++-
 4 files changed, 68 insertions(+), 19 deletions(-)

commit 00cf9ea224eaa219103338d8eb560f7184a727ac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 12 21:07:28 2021 +0200

    Dissolve the disparity between dragged and non-dragged task buttons for
    issue #576.

 src/atasks.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 30782621ed6d4f0738c9b4070876d4e5f9b1f051
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 12 16:20:00 2021 +0200

    Fix segv in verifyPaths and closes #577.

 src/ypaths.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit e53c6e5e78f8e1cd9586a9c7982779d314534b9d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 12 03:09:16 2021 +0200

    Permit negative button position in function limited.

 src/aworkspaces.cc | 4 ++++
 src/aworkspaces.h  | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a494f37a8b59fdc748b450d6aa2cde80682f9971
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 12 02:49:16 2021 +0200

    Allow button clicks where there is mouse motion between button press
    and release for issue #575.

 src/atasks.cc      |  4 +++-
 src/atasks.h       |  2 +-
 src/aworkspaces.cc |  6 ++++--
 src/aworkspaces.h  |  4 +++-
 src/movesize.cc    |  5 ++++-
 src/wmbutton.cc    |  4 +++-
 src/wmbutton.h     |  2 +-
 src/wmframe.h      |  2 +-
 src/wmminiicon.cc  |  3 ++-
 src/wmminiicon.h   |  2 +-
 src/wmtitle.cc     |  6 ++++--
 src/wmtitle.h      |  2 +-
 src/ywindow.cc     | 31 +++++++++++++------------------
 src/ywindow.h      |  2 +-
 14 files changed, 42 insertions(+), 33 deletions(-)

commit 3410bc701629484b76002afe58af43fd2e92c71b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 11 14:06:45 2021 +0200

    Pop down YInputMenu before deleting. Don't report focus lost when
    popping YInputMenu.

 src/yinputline.cc | 19 +++++++++++++++----
 src/yinputline.h  | 13 ++++++++++---
 2 files changed, 25 insertions(+), 7 deletions(-)

commit 9d7a8d696f3f8745e44b550f559783311842263d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 11 14:06:45 2021 +0200

    Repaint workspace button after editing the workspace name.

 src/aworkspaces.cc | 1 +
 1 file changed, 1 insertion(+)

commit c6cbf56fe62efbfce58e232e398e4ca15405bcb2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 10 14:56:23 2021 +0200

    Change the default value for ModSuperIsCtrlAlt from true to false to see
    if anyone complains for issue #574.

 src/yprefs.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit adb82a54cb3c61a972790addaf2326072382f0c4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 10 14:53:24 2021 +0200

    Support ModSuperIsCtrlAlt when testing the Super modifier in the quick
    switch. This fixes issues #574.

 src/wmswitch.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 636403977060bfea0f55092c73da7c83edc591cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:38:09 2021 +0200

    Reduce the number of frame updates to only those frames visible on the
    previous and the current workspace when changing workspace.

 src/WinMgr.h     |  4 ++++
 src/wmclient.cc  |  2 +-
 src/wmframe.h    |  7 ++++---
 src/wmmgr.cc     | 19 ++++++++++---------
 src/wmmgr.h      |  4 ++--
 src/wmsession.cc |  4 ++--
 6 files changed, 23 insertions(+), 17 deletions(-)

commit 965749e8ce1b7a7b6b7f5821e9d0777151b69aab
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:35:02 2021 +0200

    Free the memory for the About dialog after it is closed.

 src/wmapp.cc | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit 2a0955455096d3955fefc311b12e54d24adecd6e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:33:26 2021 +0200

    Add declarations for center and become to YDialog.

 src/ydialog.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 81ff8e20dadf75a6c74a1d827578dc5b3e8f99fc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:31:54 2021 +0200

    Refactor common code from dialogs to ydialog.cc. Improve layout design.

 src/wmabout.cc | 27 ++++++------------
 src/wmabout.h  |  4 ++-
 src/wmaction.h |  2 ++
 src/yaction.h  |  2 +-
 src/ydialog.cc | 26 ++++++++++++++++-
 src/ylayout.h  | 83 +++++++++++++++++++++++++++++++-----------------------
 src/ymsgbox.cc | 18 +++---------
 7 files changed, 91 insertions(+), 71 deletions(-)

commit b3952b79dadb8a0cd81fc3108b5cc151b72c2b10
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:27:29 2021 +0200

    Add testarray as a test target to cmake test.

 src/CMakeLists.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit 8ad5ae1c2a9c6d456fabaa0b0b85b3cd5a8a0531
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:26:55 2021 +0200

    Make testarray.cc mostly silent by default.

 src/Makefile.am  |   6 +-
 src/testarray.cc | 180 +++++++++++++++++++++++++++++++++++----------------
 2 files changed, 129 insertions(+), 57 deletions(-)

commit 0d144609c4fb98b54a47d3ec38410cbe6202f20f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:17:20 2021 +0200

    Improve removing the last element from an array. Add array pop and last.
    Remove classes YStack and YStackSet.

 src/yarray.cc | 16 +++++++++++-----
 src/yarray.h  | 46 ++++++++++------------------------------------
 2 files changed, 21 insertions(+), 41 deletions(-)

commit 49a9c524306bb7dfb15425a2b45bf6d2c82edc8e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:15:56 2021 +0200

    Optimize allocation of icon path strings.

 src/mstring.cc | 24 ++++++++++++++++++++++++
 src/mstring.h  |  3 +++
 src/yicon.cc   | 21 ++++++++++-----------
 3 files changed, 37 insertions(+), 11 deletions(-)

commit b1beaffcdb4056b33853573c2cfddae86cc91b5d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 9 21:06:14 2021 +0200

    Remove unused variable textDrawn to prevent a compiler warning.

 src/atasks.cc | 2 --
 1 file changed, 2 deletions(-)

commit 0a54dc8864a42dadb69bc96ec09b85c2742dbb04
Author: Tommi Nieminen <software@legisign.org>
Date:   Fri Apr 9 09:04:53 2021 +0000

    Translated using Weblate (Finnish)

    Currently translated at 60.6% (286 of 472 strings)

 po/fi.po | 107 ++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 65 insertions(+), 42 deletions(-)

commit 0ed7743bb8d8c41da9f0bb7571f591abd1febec4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 4 02:16:33 2021 +0200

    Prepare 2.3.1 release

 AUTHORS      |   2 +-
 ChangeLog    | 459 ++++++++++++++++++++++++++-----------------------------
 NEWS         |  83 ++++------
 README.md    |  36 ++---
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  52 +++----
 po/be.po     |  52 +++----
 po/bg.po     |  52 +++----
 po/ca.po     |  52 +++----
 po/cs.po     |  52 +++----
 po/da.po     |  52 +++----
 po/de.po     |  52 +++----
 po/el.po     |  52 +++----
 po/en.po     |  52 +++----
 po/es.po     |  52 +++----
 po/fi.po     |  52 +++----
 po/fr.po     |  52 +++----
 po/he.po     |  52 +++----
 po/hr.po     |  52 +++----
 po/hu.po     |  52 +++----
 po/icewm.pot |  54 +++----
 po/id.po     |  52 +++----
 po/it.po     |  52 +++----
 po/ja.po     |  52 +++----
 po/ko.po     |  52 +++----
 po/lt.po     |  52 +++----
 po/lv.po     |  52 +++----
 po/mk.po     |  52 +++----
 po/nb.po     |  52 +++----
 po/nl.po     |  52 +++----
 po/no.po     |  52 +++----
 po/pl.po     |  52 +++----
 po/pt.po     |  52 +++----
 po/pt_BR.po  |  52 +++----
 po/ro.po     |  52 +++----
 po/ru.po     |  52 +++----
 po/sk.po     |  52 +++----
 po/sl.po     |  52 +++----
 po/sv.po     |  52 +++----
 po/tr.po     |  52 +++----
 po/uk.po     |  52 +++----
 po/vi.po     |  52 +++----
 po/zh_CN.po  |  52 +++----
 po/zh_TW.po  |  52 +++----
 45 files changed, 1288 insertions(+), 1334 deletions(-)

commit 7d3a58545e0a88d97e394a56ea6cf1893507d42e
Merge: e2d41f6b 55257c59
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 4 02:10:45 2021 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 55257c595216538c0e47bf6d6b60ad5c338e2bef
Merge: 21630b2c 0963792b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 4 02:10:13 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 0963792bfd25120dfb1c39aa5c80c0a92a8f3976
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 19:46:45 2021 +0200

    Support different ways to indicate TaskBarTaskGrouping and closes #565.

 man/icewm-preferences.pod |  2 +
 src/atasks.cc             | 92 +++++++++++++++++++++++++++++++------------
 src/atasks.h              |  8 ++--
 src/default.h             |  4 +-
 src/wmframe.cc            |  2 +-
 5 files changed, 76 insertions(+), 32 deletions(-)

commit aa1d6da2437d107be5780be4fd32d6dbaf25df94
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 19:46:45 2021 +0200

    Support drawing rounded rectangles.

 src/ypaint.cc | 8 ++++----
 src/ypaint.h  | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 8c4140b61f8516c52928b9733265962fbe354577
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 18:04:09 2021 +0200

    Avoid iterating over an empty array in MStringArray::begin() for #571.

 src/yarray.h | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 0177b3463464ae2ee2fa7b5ef8e4dbb26486089b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 13:28:49 2021 +0200

    Repaint the background when icewm restarts to evade bug in X server.

 src/icewmbg.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 2ebd2428b0cf29f6a06da4f10ea4952bb5c405f3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 12:34:23 2021 +0200

    Drop wmMoveToWorkspace.

 src/wmframe.cc | 6 +-----
 src/wmframe.h  | 1 -
 2 files changed, 1 insertion(+), 6 deletions(-)

commit 931e69a493a455ca30601f1b562627fa3a5ef043
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 12:34:07 2021 +0200

    Fix for submenus when switching themes for issue #571 and #572.

 src/objmenu.h | 2 +-
 src/ymenu.cc  | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4606871aaa408f285170df1d81fde56c1d6e071c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 02:10:00 2021 +0200

    Enable iteration over a switchkey menu.

 src/wmprog.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 1dc3e781eb4d984f094a1e8f132d70ced01bdfb6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 00:31:01 2021 +0200

    Prefer for-each loops when iterating over resource paths.

 src/aworkspaces.cc |  6 +++---
 src/browse.cc      |  9 +++------
 src/wmapp.cc       |  6 +++---
 src/wpixres.cc     | 42 ++++++++++++++++++++----------------------
 src/yicon.cc       | 22 ++++++++--------------
 src/ypaths.cc      | 33 +++++++++++++--------------------
 src/ypaths.h       | 22 ++++++++--------------
 7 files changed, 58 insertions(+), 82 deletions(-)

commit 0ae73a0ef344ff51035c00218d839c4cee443da3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 00:29:53 2021 +0200

    Smaller simpler YCursor.

 src/ycursor.cc | 26 ++++++++------------------
 src/ycursor.h  |  2 +-
 2 files changed, 9 insertions(+), 19 deletions(-)

commit 8f55fc003b8bae0918ccce7a55a46539f98c258d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 00:26:04 2021 +0200

    Test for large icon in YMsgBox to prevent accessing nil pointer.

 src/ymsgbox.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 58f6819e9c9dfb4c6424b3961146a8fb1198f1a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 00:24:49 2021 +0200

    Add begin+end to properly support for-each on MStringArrays.

 src/yarray.h | 3 +++
 1 file changed, 3 insertions(+)

commit 43de75c4085aecacfc2b5613031062c8dcbdbbe3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 00:24:02 2021 +0200

    Restore use of isKey in ISwitchItems to fix switchkey.

 src/wmprog.cc   |  3 +++
 src/wmswitch.cc | 10 +++++++++-
 src/wmswitch.h  |  2 ++
 3 files changed, 14 insertions(+), 1 deletion(-)

commit 37b13884b23724c0039fb7f0a250d2cfc7287cea
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 00:22:57 2021 +0200

    Use override consistently.

 src/objmenu.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 79616ed36e05b8ae56eb1acc0afca5d9df68affb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 00:22:36 2021 +0200

    Prefer object icon over default icon.

 src/objmenu.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 04a1a96b03f903fb25df2ccc981f4841cd9623d8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 3 00:21:14 2021 +0200

    Remove use of resource paths.

 src/icewmbg.cc | 23 ++++++-----------------
 1 file changed, 6 insertions(+), 17 deletions(-)

commit e2d41f6b82f5b87051558243df85a9d6f387d86b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 15:01:43 2021 +0200

    Prepare 2.3.0 release

 AUTHORS      |   22 +-
 ChangeLog    | 9058 +++++++++++++++++++++++++++---------------------------
 NEWS         |  263 +-
 README.md    |   36 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |   50 +-
 po/be.po     |   50 +-
 po/bg.po     |   50 +-
 po/ca.po     |   50 +-
 po/cs.po     |   50 +-
 po/da.po     |   50 +-
 po/de.po     |   50 +-
 po/el.po     |   50 +-
 po/en.po     |   50 +-
 po/es.po     |   54 +-
 po/fi.po     |   50 +-
 po/fr.po     |   50 +-
 po/he.po     |   50 +-
 po/hr.po     |   50 +-
 po/hu.po     |   50 +-
 po/icewm.pot |   52 +-
 po/id.po     |   50 +-
 po/it.po     |   50 +-
 po/ja.po     |   50 +-
 po/ko.po     |   50 +-
 po/lt.po     |   50 +-
 po/lv.po     |   50 +-
 po/mk.po     |   50 +-
 po/nb.po     |   50 +-
 po/nl.po     |   50 +-
 po/no.po     |   50 +-
 po/pl.po     |   50 +-
 po/pt.po     |   50 +-
 po/pt_BR.po  |   50 +-
 po/ro.po     |   50 +-
 po/ru.po     |   50 +-
 po/sk.po     |   50 +-
 po/sl.po     |   50 +-
 po/sv.po     |   50 +-
 po/tr.po     |   50 +-
 po/uk.po     |   50 +-
 po/vi.po     |   50 +-
 po/zh_CN.po  |   50 +-
 po/zh_TW.po  |   50 +-
 45 files changed, 5752 insertions(+), 5595 deletions(-)

commit 4cbd349f588d79468922133d9e83bcbf262a62b4
Merge: b37c55c0 21630b2c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 14:48:39 2021 +0200

    Merge remote-tracking branch 'origin/icewm-1-4-BRANCH'

commit 21630b2c0e7838403fa854d88c3ce01feada3292
Merge: 6d9cfc9a ccaabb3c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 14:45:54 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit ccaabb3ca8462ad9e682b5d10eb4d409fd45d816
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 12:47:24 2021 +0200

    Also terminate with a dot when outputting in perl pod format.

 src/genpref.cc | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 539994330cd31cda6571cb1f2131ba6ce43ae65c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 12:44:03 2021 +0200

    Ensure that descriptions are terminated with a dot.

 src/genpref.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 2c8df5a829b6cd6a40962cdf0616e68a82c939ab
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 12:33:03 2021 +0200

    Use wmOccupyWorkspace instead of identical wmOccupyOnlyWorkspace.

 src/atasks.cc    | 2 +-
 src/atray.cc     | 2 +-
 src/wmclient.h   | 1 -
 src/wmframe.cc   | 7 +------
 src/wmframe.h    | 1 -
 src/wmmgr.cc     | 2 +-
 src/wmwinmenu.cc | 2 +-
 7 files changed, 5 insertions(+), 12 deletions(-)

commit 940f4b7860a08c4dcf551f1250c087df5a5e5e01
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 12:30:07 2021 +0200

    Update QuickSwitch preferences.

 man/icewm-preferences.pod | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit 9cebf626c8cf63663c456698ce43ae893a041389
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 12:22:35 2021 +0200

    Complete QuickSwitch documentation.

 man/icewm.pod | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit fd00dce9eea68113dc84c2c8eeedc13a2b31e57f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 01:55:50 2021 +0200

    Improve changing workspace when quick switching for issue #564. Allow to
    accept the current quick switch selection by hitting the Return key.
    Restore reordering of quick switch items when not raising candidates for
    issue #558. Get rid of IClosablePopup.

 src/wmprog.cc   |  18 ++++-----
 src/wmswitch.cc | 114 ++++++++++++++++++++++++++--------------------------
 src/wmswitch.h  |  19 +++------
 3 files changed, 69 insertions(+), 82 deletions(-)

commit a298b77370b4a17e1b9a6b4d5a94650d4b1e595d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 1 01:52:20 2021 +0200

    When activating a frame on another workspace, ignore any focus events
    on the root window, for more reliable quick switching.

 src/wmframe.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit ab36adc7630eea73029a5a01bdabe6a93c442e35
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 31 23:23:51 2021 +0200

    Let canRaise also consider the future workspace.

 src/decorate.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf87d02fdf1d18cc8c3585fb1295bf6810707644
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 31 20:01:32 2021 +0200

    Add preference QuickSwitchRaiseCandidate to raise a selected QuickSwitch
    window for issue #558 and #564.

 src/default.h  | 32 +++++++++++++++++---------------
 src/wmframe.cc |  9 ++++++---
 src/wmmgr.cc   | 12 ++++--------
 3 files changed, 27 insertions(+), 26 deletions(-)

commit 28442857dd1778d75938bcd9c5db99cf20d14288
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 31 19:39:31 2021 +0200

    Support colorful colors when using libXpm for issue ice-wm/icewm#45.

 src/ycursor.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c6e0cd2dca83a737d89331bd3fa92eef671de92d
Author: Jorge Gallegos Carrasco <jcarrascochih@gmail.com>
Date:   Wed Mar 31 12:32:38 2021 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (472 of 472 strings)

 po/es.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0ee4293553d1274fbb55bf67d054eb65c943b499
Author: Antonio Simón <antonio@trans-mission.com>
Date:   Wed Mar 31 12:31:49 2021 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (472 of 472 strings)

 po/es.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 97be7f5e7385a855b7baa122cf7a895c597ef77e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 30 09:48:52 2021 +0200

    When QuickSwitch is up and a new window is created, then add the new
    window to the existing QuickSwitch, if the conditions are met.

 src/wmmgr.cc    |   2 +
 src/wmprog.cc   |  23 +++----
 src/wmswitch.cc | 170 +++++++++++++++++++++++++++++-----------------------
 src/wmswitch.h  |  19 +++---
 4 files changed, 112 insertions(+), 102 deletions(-)

commit 1d2a5e468a1164910888dd4e27872d06a0cc33d1
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Tue Mar 30 02:36:08 2021 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (472 of 472 strings)

 po/zh_CN.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 9f1e58898f12504b2c99de262b55e5642b570dbd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 29 19:40:29 2021 +0200

    Replace inefficient GetZList with efficient updateList in QuickSwitch.

 src/wmswitch.cc | 188 +++++++++++++++++++++++++++-------------------------
 1 file changed, 97 insertions(+), 91 deletions(-)

commit 114e6e338435c670b92baaf0b64c967366ab3e18
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 29 13:15:18 2021 +0200

    Don't reorder focus when switching workspaces for issue #564. Cancel
    QuickSwitch when clicking outside the window. Improve calculating hinted
    item. Support rotating mouse wheel buttons when scrolling over windows.

 man/icewm.pod   | 15 +++++++++-----
 src/wmswitch.cc | 60 +++++++++++++++++++++++++++++++++--------------------
 2 files changed, 47 insertions(+), 28 deletions(-)

commit 5123739d4013e78ccef604439c0fa5c5afe73a82
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 29 13:15:18 2021 +0200

    Add optional reorder flag to setFocus and dont reorder for QuickSwitch
    for issue #564.

 src/wmmgr.cc | 6 +++---
 src/wmmgr.h  | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 17f170b082ea77a4b1915fdef571909e60054fec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 29 01:06:27 2021 +0200

    Improve tracking of popup deactivation for SwitchWindow.
    Avoid closing down SwitchWindow when a button release occurs outside of
    the SwitchWindow.
    Support keys '1' to '9' to index the SwitchWindow.

 src/wmswitch.cc | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit ff60a59ebca7db27d3ae922d5262cca21a13c754
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 29 00:18:27 2021 +0200

    Reorder popup and displayFocus in QuickSwitch for immediate focus+raise
    effect.

 src/wmswitch.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2acc14612d6d2a75f790c7c1e5b0ee436727acc7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 28 23:27:20 2021 +0200

    make update-po

 po/ar.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/be.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/bg.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/ca.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/cs.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/da.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/de.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/el.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/en.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/es.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/fi.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/fr.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/he.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/hr.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/hu.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 168 +++++++++++++++++++++++++++---------------------------
 po/id.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/it.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/ja.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/ko.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/lt.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/lv.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/mk.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/nb.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/nl.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/no.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/pl.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/pt.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 166 ++++++++++++++++++++++++++---------------------------
 po/ro.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/ru.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/sk.po     | 170 +++++++++++++++++++++++++++----------------------------
 po/sl.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/sv.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/tr.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/uk.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/vi.po     | 166 ++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 166 ++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 166 ++++++++++++++++++++++++++---------------------------
 39 files changed, 3256 insertions(+), 3256 deletions(-)

commit 869d42c9470f1a19d8fa29c01472ef93e9dcea31
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 28 21:54:17 2021 +0200

    Add support for operation by arrow keys and Home and End. Support Delete
    key to close a window. Move SwitchWindow away from wmapp and frames
    and into manager. Support highlighting the active quickswitch frame by
    reordering the X stacking order. Use the more lightweight setFocus to
    give input focus. Fix for quickswitch on fullscreen for issue #558. Fix
    for quickswitch raise for issue #564.

 man/icewm.pod   |  24 +++++-----
 src/wmapp.cc    |  10 ----
 src/wmapp.h     |   4 --
 src/wmframe.cc  |   9 +---
 src/wmmgr.cc    |  62 +++++++++++++++++++++----
 src/wmmgr.h     |  15 +++++-
 src/wmprog.cc   |   3 --
 src/wmswitch.cc | 129 +++++++++++++++++++++++++++++++++-------------------
 src/wmswitch.h  |  76 +++++++++++++++----------------
 9 files changed, 201 insertions(+), 131 deletions(-)

commit 3de7f66851f96168d8ca8c3770022f4ec46622d8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 28 21:54:17 2021 +0200

    Add setPopDownListener.

 src/ypopup.cc | 65 +++++++++++++++++++++----------------------------------
 src/ypopup.h  |  1 +
 2 files changed, 26 insertions(+), 40 deletions(-)

commit a3ee06ecc395b81b4005306e6581be3e16162279
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 28 21:54:17 2021 +0200

    Add contains.

 src/yrect.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 258d17a7905dbd205a1b2d9ee11060e9e6bf448d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 26 17:38:42 2021 +0100

    Enable immediate toggling ofTaskBarTaskGrouping without a restart.

 src/atasks.cc  | 18 ++++++++++++++++++
 src/atasks.h   |  3 ++-
 src/wmclient.h |  2 ++
 3 files changed, 22 insertions(+), 1 deletion(-)

commit cdd61f0bd7912c28adde665dd0c0b551882eac5f
Author: Sophie Leroy <sophie@stoquart.com>
Date:   Thu Mar 25 11:40:12 2021 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (472 of 472 strings)

 po/fr.po | 26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

commit a2cda6635a0492692ccb228240b5a850af2edbd1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 24 17:23:51 2021 +0100

    Restart the QuickSwitch when changing workspace by key for issue #563.
    Improve handling of modifier keys in QuickSwitch.

 src/wmprog.cc   |  3 +++
 src/wmswitch.cc | 64 +++++++++++++++++++++++++++++++++--------------------
 src/wmswitch.h  |  7 +++---
 src/ywindow.cc  |  8 +++----
 src/ywindow.h   |  4 ++--
 5 files changed, 53 insertions(+), 33 deletions(-)

commit 84dcf1588497a130324d6f8a40ba402ea108e550
Author: Gemineo <vistatec@gemineo.de>
Date:   Wed Mar 24 13:54:06 2021 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (472 of 472 strings)

 po/de.po | 26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

commit c579d6c877a57dd329afbb4d77c1c630c2819e85
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Wed Mar 24 10:53:55 2021 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (472 of 472 strings)

 po/it.po | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

commit f12bd2cd8e3e3c63fe17aef0bcbcea37487c4ad2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 24 13:10:07 2021 +0100

    Support buttons up to button number 9 for issue #333.

 src/icesh.cc   | 2 +-
 src/yconfig.cc | 7 +++++++
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 81d8c029efc0cbd7303fd71ea25120ea3da1a0a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 24 12:58:23 2021 +0100

    Add missing modifiers declaration to fix compilation and closes #567

 src/wmswitch.h | 1 +
 1 file changed, 1 insertion(+)

commit e0070ecb75688eeef8a528a0e4fb7c5c0c52793e
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Mar 23 22:23:55 2021 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (472 of 472 strings)

 po/pt.po | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit 112d9b7cbc9fc8c627382f83bcf29b40d382bf6e
Author: Antonio Simón <antonio@trans-mission.com>
Date:   Tue Mar 23 16:55:39 2021 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (472 of 472 strings)

 po/es.po | 26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

commit 8c09c294c7ac5c0dc72f7924f6215f824e582754
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Tue Mar 23 13:46:35 2021 +0000

    Translated using Weblate (Italian)

    Currently translated at 98.7% (466 of 472 strings)

 po/it.po | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 0ba1c000660bd89f61f883b293034a6e3a2051e3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 23 12:20:34 2021 +0100

    Allow to switch workspaces when the Alt+Tab QuickSwitch window is
    active for #563.

 src/wmmgr.cc    | 31 +++++++++++++++++--------------
 src/wmswitch.cc | 14 +++++++++++++-
 2 files changed, 30 insertions(+), 15 deletions(-)

commit 6eba84b9843f0b3d38c80e9dba234db4334ace7a
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Tue Mar 23 03:22:23 2021 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (472 of 472 strings)

 po/id.po | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

commit bf5f5f87bacdf7b717b7aeea37d4fa5ccb19c4c6
Author: David Medina <medipas@gmail.com>
Date:   Mon Mar 22 20:09:15 2021 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (472 of 472 strings)

 po/ca.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 31dcae3754a457f15a4ecc1da09aa892a81065f4
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Mon Mar 22 16:24:14 2021 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (472 of 472 strings)

 po/sk.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 4f1a1c567b1bc50fdb1303456609f7b70b5d1819
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 22 11:48:31 2021 +0100

    Allow to switch workspaces when in Alt+Tab mode for issue #563.

 src/wmmgr.cc    | 145 ++++++++++++++++++++++++++++++----------------------
 src/wmmgr.h     |   1 +
 src/wmswitch.cc |  17 +++---
 3 files changed, 97 insertions(+), 66 deletions(-)

commit bdd1f5b314d7cf0b514901084bea87091e9a8ceb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 22 02:56:34 2021 +0100

    Restore dynamic menus like Start, for issue #562.

 src/CMakeLists.txt |  3 +-
 src/Makefile.am    |  1 +
 src/browse.cc      | 42 ++++++++---------------
 src/browse.h       |  3 ++
 src/obj.h          | 17 ++++++----
 src/objmenu.cc     | 69 +++++++++++++++++++++++++++++++++++++
 src/objmenu.h      | 47 ++++++++++++++++----------
 src/themes.cc      | 49 ++++++++++++++-------------
 src/themes.h       | 14 ++++----
 src/wmprog.cc      | 92 +++++++-------------------------------------------
 src/ymenu.h        |  5 +--
 11 files changed, 177 insertions(+), 165 deletions(-)

commit 656cbff63215a7a084043c55c4dcc0f38e28417f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 22 02:55:19 2021 +0100

    Add command "denormal" to icesh for issue #561.

 man/icesh.pod | 6 ++++++
 src/icesh.cc  | 4 ++++
 2 files changed, 10 insertions(+)

commit b8c19be78ff3051171a43e9f6b73c8a5ef8e8f3a
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Sat Mar 20 09:20:26 2021 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (472 of 472 strings)

 po/nl.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit ad6fed88f590ae03eb49d546cede552d749e9e09
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sat Mar 20 09:24:46 2021 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (472 of 472 strings)

 po/cs.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit cec4943997fafafd1d1f71651e9b997f4ad52b7b
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Sat Mar 20 08:13:20 2021 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 100.0% (472 of 472 strings)

 po/zh_TW.po | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

commit 500bb37e1d5491a6a4ee82655fff72d44753a8b2
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Sat Mar 20 08:01:46 2021 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (472 of 472 strings)

 po/zh_CN.po | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 3ccb0afda6d996e629c551005ae828463c67245c
Merge: bd70d96c 0affb76e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 20 11:37:56 2021 +0100

    Merge

commit bd70d96c3989780812a839634fd0b9643d692fb2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 20 02:38:13 2021 +0100

    When WM_CLASS changes and task grouping is on, then reinsert task
    app status.

 src/wmclient.cc | 19 ++++++++++++-------
 src/wmframe.cc  | 14 +++++++++-----
 src/wmframe.h   |  1 +
 3 files changed, 22 insertions(+), 12 deletions(-)

commit 0affb76e88012e4f5c5c3cf6ca0c3dfa117b1950
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 20 02:38:13 2021 +0100

    When WM_CLASS and grouping is on then reinsert task app status.

 src/wmclient.cc | 19 ++++++++++++-------
 src/wmframe.cc  | 14 +++++++++-----
 src/wmframe.h   |  1 +
 3 files changed, 22 insertions(+), 12 deletions(-)

commit 6fdc24cb4a818f88d06420c1ac739421546f04db
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 20 02:38:13 2021 +0100

    Set icon on task app.

 src/atasks.cc | 1 +
 1 file changed, 1 insertion(+)

commit c7204d0e66f242c2e30d2e79718413a16bffc229
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Fri Mar 19 22:21:38 2021 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (472 of 472 strings)

 po/ja.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit f9445f261cf25f742424e905c3086769ee403228
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Fri Mar 19 16:16:28 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (472 of 472 strings)

 po/pt_BR.po | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

commit 345de99ddd3326dbdb74a65c230e088aab3676ca
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 19 16:25:15 2021 +0100

    Fix pointer type.

 src/wmprog.cc   | 2 +-
 src/wmswitch.cc | 2 +-
 src/wmswitch.h  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 48fc8550f1e92ff8e6fc3ff1775dbb893635e2cf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 19 16:18:41 2021 +0100

    make update-po

 po/ar.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/be.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/bg.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/ca.po     | 274 +++++++++++++++++++++++++++++--------------------------
 po/cs.po     | 274 +++++++++++++++++++++++++++++--------------------------
 po/da.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/de.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/el.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/en.po     | 266 +++++++++++++++++++++++++++--------------------------
 po/es.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/fi.po     | 272 ++++++++++++++++++++++++++++--------------------------
 po/fr.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/he.po     | 266 +++++++++++++++++++++++++++--------------------------
 po/hr.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/hu.po     | 271 ++++++++++++++++++++++++++++--------------------------
 po/icewm.pot | 268 +++++++++++++++++++++++++++--------------------------
 po/id.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/it.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/ja.po     | 274 +++++++++++++++++++++++++++++--------------------------
 po/ko.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/lt.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/lv.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/mk.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/nb.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/nl.po     | 274 +++++++++++++++++++++++++++++--------------------------
 po/no.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/pl.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/pt.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 270 ++++++++++++++++++++++++++++--------------------------
 po/ro.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/ru.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/sk.po     | 274 +++++++++++++++++++++++++++++--------------------------
 po/sl.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/sv.po     | 270 ++++++++++++++++++++++++++++--------------------------
 po/tr.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/uk.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/vi.po     | 268 +++++++++++++++++++++++++++--------------------------
 po/zh_CN.po  | 270 ++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po  | 270 ++++++++++++++++++++++++++++--------------------------
 39 files changed, 5473 insertions(+), 5044 deletions(-)

commit 7a112d90c880a73c541285aec0067bf6761d8350
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 19 16:18:21 2021 +0100

    Update documentation.

 doc/icewm.adoc            | 43 +++++++++++++++++++++++++------------------
 man/Makefile.am           |  2 ++
 man/icewm-preferences.pod |  4 ++++
 3 files changed, 31 insertions(+), 18 deletions(-)

commit ee9668f1482c83f8c7e32cac468640710ebd2ed9
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Fri Mar 19 07:01:02 2021 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (470 of 470 strings)

 po/zh_CN.po | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 4273dc562641af3a160b94d5da87eeefdd002e92
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 19 00:25:02 2021 +0100

    Support switching workspaces via window menu list.

 src/wmwinmenu.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 3a10af8f9d0e4500c2a97e3f6957fa4c32872ee7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 19 00:11:37 2021 +0100

    Make group menu popup via a click and restore dragging.

 src/atasks.cc | 55 +++++++++++++++++++++++++++----------------------------
 src/atasks.h  |  4 ++++
 2 files changed, 31 insertions(+), 28 deletions(-)

commit 31b848c76024b16c93aa12685f117d3d4131b393
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 19 00:10:59 2021 +0100

    Renamed yinput.cc as yinputline.cc.

 src/yinput.cc | 717 ------------------------------------------------------
 1 file changed, 717 deletions(-)

commit 4ef874c85567121ba8d565f0a3794c8e259bd723
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 19 00:10:42 2021 +0100

    Fix use of nullptr.

 src/icelist.cc   | 2 +-
 src/icesame.cc   | 2 +-
 src/iceview.cc   | 2 +-
 src/testmenus.cc | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 32fd056a759b7181b79c69fe7af3b3acf9eb8451
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 19 00:09:35 2021 +0100

    Remove the actionPerformed callback from menu items.

 src/objmenu.h    |  2 +-
 src/wmmgr.h      |  7 ++++++-
 src/wmprog.cc    | 12 +++++-------
 src/wmwinmenu.cc | 46 ++++++++++++++++++++--------------------------
 src/ymenu.cc     |  8 +++-----
 src/ymenuitem.cc |  5 -----
 src/ymenuitem.h  |  2 --
 src/ypopup.cc    |  6 +++---
 8 files changed, 38 insertions(+), 50 deletions(-)

commit 9f29526f2fdc21ccc8e3cd37ed71d16a3e6213ac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 18 21:54:27 2021 +0100

    Improve update tracking to grouped task buttons.

 src/atasks.cc | 58 ++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 45 insertions(+), 13 deletions(-)

commit 7e4482cd424070efbb5e26eaf79923023696310e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 18 21:53:35 2021 +0100

    Add menu option to icehelp to open current document in a browser.

 src/icehelp.cc | 78 ++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 73 insertions(+), 5 deletions(-)

commit 3ad7eb805991bf5aa8ddc2425ca735e7283ef48d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 18 21:53:11 2021 +0100

    Consider grouping in updateAppStatus.

 src/wmframe.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e1123ce73d112fa1a924a2cec4f734c33bad7880
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 18 21:52:20 2021 +0100

    Iterate backwards over fUpdates.

 src/wmtaskbar.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2b7e0c09d46f2ef970ffe35b54c9728d6470f28d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 18 21:51:48 2021 +0100

    Move signalGuiEvent into its own class GuiSignaler.

 src/guievent.h | 12 +++++++++
 src/wmapp.cc   | 75 ++++++++++++++++++++++++++++++++++--------------------
 src/wmapp.h    |  1 +
 3 files changed, 61 insertions(+), 27 deletions(-)

commit 8e9661c6334decbf533af1a38ef97b4203f38bfe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 18 21:46:16 2021 +0100

    Move ObjectButton to its own source file. Rename yinput.cc to
    yinputline.cc.

 po/POTFILES.in     |   3 +-
 src/CMakeLists.txt |   4 +-
 src/Makefile.am    |   3 +-
 src/objbar.cc      |  79 ------
 src/objbutton.cc   |  88 ++++++
 src/yinputline.cc  | 717 +++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 811 insertions(+), 83 deletions(-)

commit 59ff821e4acb7e3722812fb082c09373cf975608
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 17 01:10:03 2021 +0100

    Remove unneeded includes.

 src/wmswitch.cc | 3 +--
 src/wmswitch.h  | 2 --
 2 files changed, 1 insertion(+), 4 deletions(-)

commit da482737b0605efb6c04f57776572b73a819ece0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 17 01:09:33 2021 +0100

    Remove superfluous field wmActionListener from ObjectMenu.

 src/browse.cc | 3 ++-
 src/objbar.h  | 8 ++------
 src/wmprog.cc | 4 ++--
 3 files changed, 6 insertions(+), 9 deletions(-)

commit 0584515a3fb035ee7970b3d57c33e9d374920502
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 17 01:07:24 2021 +0100

    Add new option TaskBarTaskGrouping to group similar applications under
    one task button for issue #198.

 src/atasks.cc | 323 +++++++++++++++++++++++++++++++++++++++++++-----------
 src/atasks.h  |  29 ++++-
 src/default.h |   4 +-
 3 files changed, 286 insertions(+), 70 deletions(-)

commit 41847c25b1b2b0faccdc028a531dc06af3799152
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Tue Mar 16 10:31:49 2021 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (470 of 470 strings)

 po/nl.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 0ba46c306cabd35b687a237d4ef566c526b2ea43
Author: Tommi Nieminen <software@legisign.org>
Date:   Mon Mar 15 12:56:43 2021 +0000

    Translated using Weblate (Finnish)

    Currently translated at 59.6% (280 of 470 strings)

 po/fi.po | 63 ++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 46 insertions(+), 17 deletions(-)

commit ab0a59a77340677fa9517a0eb844c3dd98950468
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Mar 15 10:23:34 2021 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (470 of 470 strings)

 po/ja.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 6c5b727b79cebf2c5376396cac70aeb63e64080c
Author: Aleš Kastner <alkas@volny.cz>
Date:   Mon Mar 15 07:49:45 2021 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (470 of 470 strings)

 po/cs.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit ef1bf58c68c5f1f862022c508013ba4209d97280
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 15 01:38:22 2021 +0100

    Simplify filereader to reduce number of read system calls.

 src/yfileio.cc | 78 ++++++++++++++++++++++++++++--------------------------
 src/yfileio.h  |  2 ++
 2 files changed, 43 insertions(+), 37 deletions(-)

commit ef9340cbfb2ea2b9566c0e8ca3b2e78a695e8051
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 15 01:36:09 2021 +0100

    When client loses its X shape then update frame functions.
    This fixes toggling "Use system title bar and borders" in Chrome.

 src/wmclient.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 8c22561d241ebc7ac739de8c1df42a77a0921841
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 15 00:44:41 2021 +0100

    Print detail for all in icesh motif.

 src/icesh.cc | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit eff145f15abe04e8ff6846abe404539ac4caa723
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 15 00:43:47 2021 +0100

    Redraw task button when name changes.

 src/wmframe.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3dec595c346e1fd5ec2eedeb295d01b82f94b83b
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sun Mar 14 17:25:59 2021 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (470 of 470 strings)

 po/sk.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 33270b6b98d23180f534b19cb3ed87a329f5c083
Author: David Medina <medipas@gmail.com>
Date:   Sun Mar 14 17:00:07 2021 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (470 of 470 strings)

 po/ca.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 558109b7dc6ccd9b7c85b2f296f575222f46fa53
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 14 12:21:42 2021 +0100

    Update translations.

 po/ar.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/be.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/bg.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/ca.po     | 121 ++++++++++++++++++++++++++++------------------------
 po/cs.po     | 128 +++++++++++++++++++++++++++++--------------------------
 po/da.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/de.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/el.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/en.po     | 106 +++++++++++++++++++++++----------------------
 po/es.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/fi.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/fr.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/he.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/hr.po     | 108 ++++++++++++++++++++++++----------------------
 po/hu.po     | 125 ++++++++++++++++++++++++++++-------------------------
 po/icewm.pot | 108 +++++++++++++++++++++++-----------------------
 po/id.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/it.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/ja.po     | 121 ++++++++++++++++++++++++++++------------------------
 po/ko.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/lt.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/lv.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/mk.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/nb.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/nl.po     | 128 +++++++++++++++++++++++++++++--------------------------
 po/no.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/pl.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/pt.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/pt_BR.po  | 124 ++++++++++++++++++++++++++++-------------------------
 po/ro.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/ru.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/sk.po     | 128 +++++++++++++++++++++++++++++--------------------------
 po/sl.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/sv.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/tr.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/uk.po     | 117 +++++++++++++++++++++++++++-----------------------
 po/vi.po     | 124 ++++++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 124 ++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 124 ++++++++++++++++++++++++++++-------------------------
 39 files changed, 2516 insertions(+), 2207 deletions(-)

commit e8dc345d5e4777aeaa3cfdab9f5583f654e905fc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 14 00:31:02 2021 +0100

    Enforce updateLocation when without system tray for issue #559.

 src/wmtaskbar.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 761514c25051d16006f61a3d7d45052707f98475
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat Mar 13 13:26:56 2021 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (469 of 469 strings)

 po/sk.po | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 4774db302b2c4acda8c35a1f956f3847288adc06
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Sat Mar 13 14:35:13 2021 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (469 of 469 strings)

 po/nl.po | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit e21607a8995d81da2adcd773cffce04f51d710b6
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sat Mar 13 14:03:49 2021 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (469 of 469 strings)

 po/cs.po | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 60dfe2ba30ff3b839277c788799d08f6630fea77
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 13 12:32:21 2021 +0100

    Reduce systemcalls as much as possible when updating network status.

 src/apppstatus.cc | 332 +++++++++++++++++++++++++++++---------------------
 src/apppstatus.h  |  29 ++---
 2 files changed, 208 insertions(+), 153 deletions(-)

commit c92526267334b521ae790d793c347f4211572dfd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 13 12:31:45 2021 +0100

    Smaller timers.

 src/yapp.cc   | 24 ++++++++++++------------
 src/ytimer.cc | 27 +++++++++++++++------------
 src/ytimer.h  | 12 ++++++++----
 3 files changed, 35 insertions(+), 28 deletions(-)

commit 6070949a6d1c91332c94b0aab6782c6ca3f75a50
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 13 12:30:19 2021 +0100

    Cleanup empty handleCrossing.

 src/amailbox.cc | 25 -------------------------
 src/amailbox.h  |  1 -
 2 files changed, 26 deletions(-)

commit e12eb0bac2093c3d00672046ddf9bc746eaa2e4d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 13 12:30:07 2021 +0100

    Postpone creating tooltips.

 src/atray.cc       | 24 +++++++++++++++++-------
 src/atray.h        |  2 ++
 src/aworkspaces.cc | 10 ++++++++--
 src/aworkspaces.h  |  1 +
 src/objbar.cc      | 10 +++++++++-
 src/objbutton.h    |  3 ++-
 src/wmframe.cc     |  7 +------
 src/ywindow.cc     |  4 ++++
 src/ywindow.h      |  1 +
 9 files changed, 45 insertions(+), 17 deletions(-)

commit 376f481391398ac16efca4eabb2b801a7b7affd2
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Fri Mar 12 22:23:15 2021 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (469 of 469 strings)

 po/ja.po | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 14d1e319b77832a2ab6e6502b1b3c8b9c0982588
Author: David Medina <medipas@gmail.com>
Date:   Fri Mar 12 23:11:44 2021 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (469 of 469 strings)

 po/ca.po | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit e89809b4f01ba7186534e330a29c5eab38f7e71f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 12 22:20:09 2021 +0100

    Fixes for tooltips.

 src/aworkspaces.cc |  2 ++
 src/ytooltip.h     |  1 +
 src/ywindow.cc     | 11 +++++++----
 3 files changed, 10 insertions(+), 4 deletions(-)

commit 871b80383f47bcebd76446b6037f5aae24ff76dc
Merge: cc35fab9 98f2dffd
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Wed Mar 10 04:33:45 2021 +0100

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit cc35fab95ef4da61b45ed44017e29b7f42ecdfca
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 9 22:41:03 2021 +0100

    Only update tooltips when a tooltip window is visible.
    Remove obsolete phonenumber from network status monitor.

 src/aapm.cc       |  1 -
 src/aclock.cc     |  1 -
 src/acpustatus.cc |  1 -
 src/akeyboard.cc  |  8 +++-----
 src/amailbox.cc   |  1 -
 src/amemstatus.cc |  1 -
 src/applet.cc     |  2 +-
 src/apppstatus.cc | 15 ++++++---------
 src/apppstatus.h  |  1 -
 src/ywindow.cc    |  5 +++--
 src/ywindow.h     |  1 +
 src/yxtray.cc     |  2 +-
 12 files changed, 15 insertions(+), 24 deletions(-)

commit c99dc4bb826f058dcb9b892cfb300f1bee668f80
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 9 22:38:27 2021 +0100

    Improve formatting.

 man/icewm-preferences.pod | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 0a2a9a68bc65ce727d02d8f4f30e49490a3c2f17
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 9 00:28:51 2021 +0100

    Add option to only show running net interfaces in status bar by alspitz
    and closes ice-wm/icewm#44.

 doc/icewm.adoc            | 6 ++++++
 man/icewm-preferences.pod | 6 ++++++
 src/apppstatus.cc         | 9 ++++++---
 src/default.h             | 2 ++
 4 files changed, 20 insertions(+), 3 deletions(-)

commit 98f2dffdb02ba5d248f376d7b84751a8d8b7b7bf
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Thu Feb 25 10:08:27 2021 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 100.0% (468 of 468 strings)

 po/zh_TW.po | 65 +++++++++++++++++++++++----------------------------------
 1 file changed, 26 insertions(+), 39 deletions(-)

commit 31405184046365a0dde8f39708b18648d3871e34
Author: Gemineo <vistatec@gemineo.de>
Date:   Thu Feb 25 12:08:53 2021 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (468 of 468 strings)

 po/de.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8965444f09494c9af6de7fb37d64bf749b2d0dbf
Author: Hela Basa <R45XvezA@pm.me>
Date:   Wed Mar 3 22:25:37 2021 +0000

    Added translation using Weblate (Sinhala)

 po/si.po | 2377 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2377 insertions(+)

commit b37c55c0e66bcf99c8d8f128f8c777130da82b66
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 2 15:50:20 2021 +0100

    Prepare 2.2.1 release

 AUTHORS      |   2 +-
 ChangeLog    | 304 +++++++++++++++++++++++++++++++------------------------
 NEWS         |  50 ++++-----
 README.md    |  36 +++----
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  12 +--
 po/be.po     |  12 +--
 po/bg.po     |  12 +--
 po/ca.po     |  12 +--
 po/cs.po     |  12 +--
 po/da.po     |  12 +--
 po/de.po     |  12 +--
 po/el.po     |  12 +--
 po/en.po     |  12 +--
 po/es.po     |  12 +--
 po/fi.po     |  12 +--
 po/fr.po     |  12 +--
 po/he.po     |  12 +--
 po/hr.po     |  12 +--
 po/hu.po     |  12 +--
 po/icewm.pot |  14 +--
 po/id.po     |  12 +--
 po/it.po     |  12 +--
 po/ja.po     |  12 +--
 po/ko.po     |  12 +--
 po/lt.po     |  12 +--
 po/lv.po     |  12 +--
 po/mk.po     |  12 +--
 po/nb.po     |  12 +--
 po/nl.po     |  12 +--
 po/no.po     |  12 +--
 po/pl.po     |  12 +--
 po/pt.po     |  12 +--
 po/pt_BR.po  |  12 +--
 po/ro.po     |  12 +--
 po/ru.po     |  12 +--
 po/sk.po     |  12 +--
 po/sl.po     |  12 +--
 po/sv.po     |  12 +--
 po/tr.po     |  12 +--
 po/uk.po     |  12 +--
 po/vi.po     |  12 +--
 po/zh_CN.po  |  12 +--
 po/zh_TW.po  |  12 +--
 45 files changed, 458 insertions(+), 416 deletions(-)

commit 6f740d112a8fe755b4f302c7f99057fe2f1cdf54
Merge: 6d4e1d4a 6d9cfc9a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 2 15:44:51 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 6d9cfc9ae76e9bad609ad24cb08d2dd00882ee8a
Merge: 5262cdcd 382707a3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 2 15:44:18 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 382707a380c779e59ed0a1b76989fe6a7f4e22cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 2 15:40:41 2021 +0100

    Add testpointer to Makefile.am.

 src/Makefile.am | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5262cdcdbfec88a3029047b6359780254cd84b4d
Merge: 03ecd3c8 8b75fa96
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 2 15:29:03 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 8b75fa96634d5aeb1a14694323f9d942308d04f0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 2 14:31:20 2021 +0100

    Draw an icon in each message box popup.

 src/wmapp.cc   |  6 +++---
 src/wmframe.cc |  2 +-
 src/wmmgr.cc   |  2 +-
 src/wmpref.cc  | 19 ++-----------------
 src/ymsgbox.cc | 14 ++++++++++++--
 src/ymsgbox.h  |  2 +-
 6 files changed, 20 insertions(+), 25 deletions(-)

commit 6e2cfa24e34e88b2d47dd6a2575af7cffa80beb4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 2 10:54:40 2021 +0100

    Set margin of message box to 18.

 src/wmpref.cc  |  2 +-
 src/ymsgbox.cc | 14 ++++++++------
 2 files changed, 9 insertions(+), 7 deletions(-)

commit dc6bd8502a78b4a161ee314de0a7463036af7582
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 2 02:05:04 2021 +0100

    Draw an icon in the preference edit popup.

 src/wmpref.cc  | 18 +++++++++++++++++-
 src/ymsgbox.cc | 37 ++++++++++++++++++++++++++++---------
 src/ymsgbox.h  |  5 ++++-
 src/ypixmap.cc |  8 +++++---
 4 files changed, 54 insertions(+), 14 deletions(-)

commit a7c4e370d979d3ef743894e5566559b3559255d0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 1 23:20:11 2021 +0100

    Make input field focus traversable when editing preferences.

 src/yinput.cc    | 22 ++++++++++++++++++++++
 src/yinputline.h |  3 +++
 2 files changed, 25 insertions(+)

commit b175f62c5a785b4266555fa55456011181c292c6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 1 19:51:06 2021 +0100

    When modifying preferences, only trim input for scalar options.

 src/wmpref.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 71858244b30f6975b9ff89b1661d44e07d92ec04
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 1 19:47:53 2021 +0100

    Simplify icewm manpage.

 man/icewm.pod | 45 ++++++++++-----------------------------------
 1 file changed, 10 insertions(+), 35 deletions(-)

commit c0f6f9d507357d79c3318358266c9f697f5317ea
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 1 19:44:59 2021 +0100

    Taskbar may have a non-zero screen due to XineramaPrimaryScreen in
    getNewPos.  Only consider workarea when using same screen as taskbar,
    otherwise allow entire desktop for issue #557.

 src/wmframe.cc   | 11 ++++++++++-
 src/wmtaskbar.cc |  2 +-
 2 files changed, 11 insertions(+), 2 deletions(-)

commit 248ba3974464fdabc9eca7c8afa357872ba8ad68
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 1 19:43:19 2021 +0100

    Position the move/size-status on the screen of the window.

 src/wmstatus.cc | 11 +++++++----
 src/wmstatus.h  |  2 ++
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 6d4e1d4ac773a29309d543918f3bc61988ca79e8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 28 14:02:46 2021 +0100

    Prepare 2.2.0 release

 AUTHORS      |   2 +-
 ChangeLog    | 784 ++++++++++++++++++++++++++++++-------------------------
 NEWS         |  76 +++---
 README.md    |  38 +--
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   2 +-
 po/be.po     |   2 +-
 po/bg.po     |   2 +-
 po/ca.po     |   2 +-
 po/cs.po     |   2 +-
 po/da.po     |   2 +-
 po/de.po     |   2 +-
 po/el.po     |   2 +-
 po/en.po     |   2 +-
 po/es.po     |   2 +-
 po/fi.po     |   2 +-
 po/fr.po     |   2 +-
 po/he.po     |   2 +-
 po/hr.po     |   2 +-
 po/hu.po     |   2 +-
 po/icewm.pot |   4 +-
 po/id.po     |   2 +-
 po/it.po     |   2 +-
 po/ja.po     |   2 +-
 po/ko.po     |   2 +-
 po/lt.po     |   2 +-
 po/lv.po     |   2 +-
 po/mk.po     |   2 +-
 po/nb.po     |   2 +-
 po/nl.po     |   2 +-
 po/no.po     |   2 +-
 po/pl.po     |   2 +-
 po/pt.po     |   2 +-
 po/pt_BR.po  |   2 +-
 po/ro.po     |   2 +-
 po/ru.po     |   2 +-
 po/sk.po     |   2 +-
 po/sl.po     |   2 +-
 po/sv.po     |   2 +-
 po/tr.po     |   2 +-
 po/uk.po     |   2 +-
 po/vi.po     |   2 +-
 po/zh_CN.po  |   2 +-
 po/zh_TW.po  |   2 +-
 45 files changed, 534 insertions(+), 458 deletions(-)

commit 15bb43ee6e170ea468dec357bee5c996edebd5dd
Merge: 17357031 03ecd3c8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 28 13:48:54 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 03ecd3c8674c4fcb167b996dcbe69269601a5a75
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 28 13:46:27 2021 +0100

    Improve merge of 'upstream/icewm-1-4-BRANCH'.

 po/ar.po    | 79 -------------------------------------------------------
 po/be.po    | 81 ---------------------------------------------------------
 po/bg.po    | 81 ---------------------------------------------------------
 po/ca.po    | 79 -------------------------------------------------------
 po/cs.po    | 79 -------------------------------------------------------
 po/da.po    | 79 -------------------------------------------------------
 po/de.po    | 79 -------------------------------------------------------
 po/el.po    | 79 -------------------------------------------------------
 po/en.po    | 79 -------------------------------------------------------
 po/es.po    | 79 -------------------------------------------------------
 po/fi.po    | 79 -------------------------------------------------------
 po/fr.po    | 79 -------------------------------------------------------
 po/he.po    | 81 ---------------------------------------------------------
 po/hr.po    | 79 -------------------------------------------------------
 po/hu.po    | 66 ----------------------------------------------
 po/id.po    | 79 -------------------------------------------------------
 po/it.po    | 79 -------------------------------------------------------
 po/ja.po    | 79 -------------------------------------------------------
 po/ko.po    | 79 -------------------------------------------------------
 po/lt.po    | 81 ---------------------------------------------------------
 po/lv.po    | 81 ---------------------------------------------------------
 po/mk.po    | 81 ---------------------------------------------------------
 po/nb.po    | 81 ---------------------------------------------------------
 po/nl.po    | 79 -------------------------------------------------------
 po/no.po    | 81 ---------------------------------------------------------
 po/pl.po    | 79 -------------------------------------------------------
 po/pt.po    | 79 -------------------------------------------------------
 po/pt_BR.po | 79 -------------------------------------------------------
 po/ro.po    | 81 ---------------------------------------------------------
 po/ru.po    | 79 -------------------------------------------------------
 po/sk.po    | 79 -------------------------------------------------------
 po/sl.po    | 81 ---------------------------------------------------------
 po/sv.po    | 79 -------------------------------------------------------
 po/tr.po    | 81 ---------------------------------------------------------
 po/uk.po    | 81 ---------------------------------------------------------
 po/vi.po    | 81 ---------------------------------------------------------
 po/zh_CN.po | 79 -------------------------------------------------------
 po/zh_TW.po | 79 -------------------------------------------------------
 38 files changed, 3015 deletions(-)

commit 1735703152631bb687f9b9a5f399078523c2f3d2
Merge: 095cda2a 1c0cbb9d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 28 13:39:00 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 1c0cbb9df14215c78e4fc2a75774d93217d33c64
Merge: 74069656 82a3ba85
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 28 13:35:50 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 82a3ba85b643425cf9341c5dd516b28f086db927
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 28 11:34:10 2021 +0100

    Show the bounds of integer options in the message box.

 src/wmpref.cc | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit a5a85f07eb603c5e83dc5ae80836cea3273d4692
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 28 01:10:45 2021 +0100

    Permit undefinition of keys.

 src/wmpref.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f66b06effd242d03cbe90031a1f49eaeff3c87db
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 27 18:40:56 2021 +0100

    make update-po

 po/ar.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/be.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 333 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 333 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/de.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/el.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/en.po     | 318 ++++++++++++++++++++++++++--------------------------
 po/es.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/fi.po     | 324 +++++++++++++++++++++++++++--------------------------
 po/fr.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/he.po     | 328 +++++++++++++++++++++++++++--------------------------
 po/hr.po     | 318 ++++++++++++++++++++++++++--------------------------
 po/hu.po     | 333 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 320 ++++++++++++++++++++++++++--------------------------
 po/id.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/it.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/ja.po     | 333 +++++++++++++++++++++++++++---------------------------
 po/ko.po     | 331 ++++++++++++++++++++++++++++--------------------------
 po/lt.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/lv.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 333 +++++++++++++++++++++++++++---------------------------
 po/no.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 331 ++++++++++++++++++++++++++++--------------------------
 po/pt.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 329 ++++++++++++++++++++++++++++--------------------------
 po/ro.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/ru.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/sk.po     | 333 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/sv.po     | 329 ++++++++++++++++++++++++++++--------------------------
 po/tr.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 335 ++++++++++++++++++++++++++++---------------------------
 po/vi.po     | 330 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 329 ++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po  | 329 ++++++++++++++++++++++++++++--------------------------
 39 files changed, 6571 insertions(+), 6268 deletions(-)

commit c021938ce48a40f37b514622a2fe21e4edc6299c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 27 18:26:10 2021 +0100

    Give each preference option a meaningful description.

 src/default.h  | 164 ++++++++++++++++++++++++++---------------------------
 src/genpref.cc |  13 ++++-
 src/themable.h |   2 +-
 3 files changed, 94 insertions(+), 85 deletions(-)

commit adfea64698ce9216761ec1decd6e006c8d9042aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 27 18:25:25 2021 +0100

    Add compositor and replace read by executed.

 man/icewm-startup.pod | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f6f320ec6d65d8328626c44b81b939808b4769dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 27 16:43:09 2021 +0100

    Show the preferences comment line in the message box when modifying
    preference.
    Allow to reset a key or string option in the preferences menu.
    Check if message box operation equals OK.
    Remove a failed preference modification from the modification save set.

 src/wmpref.cc | 90 +++++++++++++++++++++++++++++++++++++++++--------------
 src/wmpref.h  |  4 ++-
 2 files changed, 71 insertions(+), 23 deletions(-)

commit 0154625966ca0bccf1690fe8e7ea9a475c423c88
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 26 20:33:01 2021 +0100

    Fix modifying and saving of all preferences by menu in icewm.

 src/CMakeLists.txt |   2 +-
 src/Makefile.am    |   2 +
 src/wmpref.cc      | 459 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/wmpref.h       |  55 ++++++
 src/wmprog.cc      | 321 +---------------------------------
 5 files changed, 520 insertions(+), 319 deletions(-)

commit d727188e5c2a0377cdbc3624db829c8520c96688
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 26 20:33:01 2021 +0100

    Remove bogus comment.

 src/ypointer.h | 1 -
 1 file changed, 1 deletion(-)

commit bda5c7db11d5355854846886bfb320bf66c9344f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 26 20:33:01 2021 +0100

    Improve YInputLine in YMsgBox and simplify creating a YMsgBox.

 src/wmapp.cc   | 57 +++++++++++++++++++++++++------------------------
 src/wmapp.h    |  1 +
 src/wmframe.cc | 33 +++++++++++------------------
 src/wmframe.h  |  1 -
 src/wmmgr.cc   | 12 +++++------
 src/ymsgbox.cc | 62 +++++++++++++++++++++++++++++++++++++++++++-----------
 src/ymsgbox.h  | 23 ++++++++++++++++----
 7 files changed, 117 insertions(+), 72 deletions(-)

commit fee59c61ea835eb6aa8ac03b5491bb2c8294b09f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 26 20:33:01 2021 +0100

    Add intmax and intmin to cfoption.

 src/yconfig.h | 2 ++
 1 file changed, 2 insertions(+)

commit 75a957a9925335b5ffcbd5cb3cd9901c6c8c07f8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 26 20:33:00 2021 +0100

    Fix test logoutMenu.

 src/testmenus.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bf89fa8d27d4262b9e730586541d16847e49d739
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 26 20:33:00 2021 +0100

    Simplify file read.

 src/apppstatus.cc | 2 +-
 src/yimage2.cc    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 165001100e47c9b3d28e7b3056bee08d6b9bcab4
Author: Antonio Simón <antonio@trans-mission.com>
Date:   Wed Feb 24 20:43:03 2021 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (468 of 468 strings)

 po/es.po | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit 2b554a46c3b5bac26b360e725d2afa17203cef46
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Wed Feb 24 16:13:46 2021 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (468 of 468 strings)

 po/it.po | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit 2cbd926fd7268eaeeff61dc1febaa61fb0e0114a
Author: Gemineo <vistatec@gemineo.de>
Date:   Wed Feb 24 14:11:27 2021 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (468 of 468 strings)

 po/de.po | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit 0f09dece29dd49b62872826b6b50539c9e0e81c6
Author: Sophie Leroy <sophie@stoquart.com>
Date:   Wed Feb 24 10:28:43 2021 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (468 of 468 strings)

 po/fr.po | 51 +++++++++++++++++++--------------------------------
 1 file changed, 19 insertions(+), 32 deletions(-)

commit bf58a79baefacbf68c54a5e1546b4470406462ea
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Wed Feb 24 09:27:04 2021 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (468 of 468 strings)

 po/zh_CN.po | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 2b4e0a1c8a82b1ba6ce5b7667fe68433272cea45
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 19 20:41:30 2021 +0100

    Fix for immediately redrawing after setting default clock format.

 src/aclock.cc | 13 ++++++-------
 src/aclock.h  |  3 ++-
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 88996a19cf52f7bec9d36ca9ce34b69844882a6b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 15 23:05:41 2021 +0100

    Drop support for nonICCCMconfigureRequest.

 doc/icewm.adoc           | 5 -----
 lib/winoptions.in        | 2 --
 man/icewm-winoptions.pod | 3 ---
 man/icewmhint.pod        | 1 -
 src/wmframe.cc           | 8 --------
 src/wmframe.h            | 1 -
 src/wmoption.cc          | 3 +--
 7 files changed, 1 insertion(+), 22 deletions(-)

commit 91d0911df2ac603885e87f9a9a7012d7e68fa302
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 14 12:47:09 2021 +0100

    Add clock format %H:%M and closes #554.

 src/aclock.cc | 31 +++++++++++++++++++++----------
 1 file changed, 21 insertions(+), 10 deletions(-)

commit 5ad7a6046bdb0382e4f3f2713d74372c60c2aac1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 14 12:16:28 2021 +0100

    Fix cmake test target and closes ice-wm/icewm#41.

 CMakeLists.txt     |  2 +-
 src/CMakeLists.txt | 67 +++++++++++++++++++++++++++++---------------------
 2 files changed, 40 insertions(+), 29 deletions(-)

commit 6ebc4556b53ddf1c8acaea9af98e78e8a0c004b6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 13 19:28:19 2021 +0100

    Define ice and itk libraries to reduce cmake build by a third.

 src/CMakeLists.txt    | 96 +++++++++++++++++++++++------------------------
 src/config.cmake.h.in |  5 ---
 2 files changed, 46 insertions(+), 55 deletions(-)

commit dca09724335db075cdc599868c0c5f768a9b1218
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 12 17:10:39 2021 +0100

    Only reposition when resizing outside of bottom right corner to permit
    negative positions in issue #550.

 src/wmframe.cc | 6 ------
 1 file changed, 6 deletions(-)

commit 7c3df1d494067bd8da8da2c1488f620b5a1a1a89
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 12 15:36:03 2021 +0100

    Add testpointer.

 .github/workflows/cmake.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 51d98138fe247895e6fd4c73d64053a3de92e78e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 12 15:22:57 2021 +0100

    Add testpointer test to CMake.

 src/CMakeLists.txt | 8 +++++++-
 src/testpointer.cc | 2 +-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 9c0b837fa639ebf45ab9b837eaad8c8988469dcc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 12 14:37:07 2021 +0100

    Better fix for CMake build.

 src/icesound.cc  | 1 -
 src/icewmhint.cc | 1 -
 src/ylocale.cc   | 8 ++------
 3 files changed, 2 insertions(+), 8 deletions(-)

commit e18ce57884dbe23e8703ec558894394b2e7f7b18
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 12 14:26:21 2021 +0100

    Fix CMake build for ylocale.cc.

 src/CMakeLists.txt | 5 +++--
 src/icesound.cc    | 1 +
 src/icewmhint.cc   | 1 +
 3 files changed, 5 insertions(+), 2 deletions(-)

commit e6511c8b8316d0e9e080cd253b26e4addada2b00
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 11 22:46:35 2021 +0100

    Call setlocale via YLocale for issue #553.

 src/icesound.cc  | 6 ++----
 src/icewmhint.cc | 5 ++---
 2 files changed, 4 insertions(+), 7 deletions(-)

commit f3cce5f6cc5c286e0567b3c6a844d6a8eedfd52e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Feb 10 15:53:57 2021 +0100

    Fix ignoreQuickSwitch winoption for focused windows for issue #552.

 src/wmframe.cc  | 4 ----
 src/wmframe.h   | 1 -
 src/wmswitch.cc | 5 +++--
 3 files changed, 3 insertions(+), 7 deletions(-)

commit 8b624a0d7fce4017956529b92f560d233000a9a7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 9 21:13:48 2021 +0100

    If an application resizes itself partially outside the work area, then
    move it back inside the work area, if possible, for issue #550.

 src/wmclient.cc | 27 ++++++++++-----------------
 src/wmclient.h  |  5 ++++-
 src/wmframe.cc  | 53 +++++++++++++++++++++++++++++++++--------------------
 src/wmmgr.cc    | 20 +++++++-------------
 4 files changed, 54 insertions(+), 51 deletions(-)

commit 095cda2ab13947e1c4860d2c4a5580f033f75256
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 9 19:07:26 2021 +0100

    Prepare 2.1.2 release

 AUTHORS      |    5 +-
 ChangeLog    | 1532 ++++++++++++++++++++++++++++++------------------------
 NEWS         |  207 ++------
 README.md    |   38 +-
 po/ar.po     |   54 +-
 po/be.po     |   54 +-
 po/bg.po     |   54 +-
 po/ca.po     |   54 +-
 po/cs.po     |   54 +-
 po/da.po     |   54 +-
 po/de.po     |   54 +-
 po/el.po     |   54 +-
 po/en.po     |   54 +-
 po/es.po     |   54 +-
 po/fi.po     |   54 +-
 po/fr.po     |   54 +-
 po/he.po     |   54 +-
 po/hr.po     |   54 +-
 po/hu.po     |   54 +-
 po/icewm.pot |   56 +-
 po/id.po     |   54 +-
 po/it.po     |   54 +-
 po/ja.po     |   54 +-
 po/ko.po     |   54 +-
 po/lt.po     |   54 +-
 po/lv.po     |   54 +-
 po/mk.po     |   54 +-
 po/nb.po     |   54 +-
 po/nl.po     |   54 +-
 po/no.po     |   54 +-
 po/pl.po     |   54 +-
 po/pt.po     |   54 +-
 po/pt_BR.po  |   54 +-
 po/ro.po     |   54 +-
 po/ru.po     |   54 +-
 po/sk.po     |   54 +-
 po/sl.po     |   54 +-
 po/sv.po     |   54 +-
 po/tr.po     |   54 +-
 po/uk.po     |   54 +-
 po/vi.po     |   54 +-
 po/zh_CN.po  |   54 +-
 po/zh_TW.po  |   54 +-
 43 files changed, 1963 insertions(+), 1927 deletions(-)

commit 9a26c48c2a3eec09d22d8aa3b0c8ba88cb4c74e3
Merge: 84bcd921 74069656
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 9 18:54:47 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 74069656ed21b9f07e0ff8adfe2a5461072ab522
Merge: 6c645294 23db4bc2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 9 18:52:15 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 23db4bc248cc2b23b4c909f0b537f87aded7d995
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 9 18:50:31 2021 +0100

    Preparing 2.1.2.

 VERSION      | 2 +-
 configure.ac | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 93f4b37aacb40f21d58cf4560757b5b8572eb3fe
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Feb 6 11:17:01 2021 +0100

    Don't abort directory scanning on bad menu items

    Fix from issue #546 .

 src/fdomenu.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e76644944b994ba47bbac649f1c3c0598b6964dd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 4 11:22:03 2021 +0100

    Relayout task buttons whenever a task button is removed for issue #548.

 src/atasks.cc | 1 +
 1 file changed, 1 insertion(+)

commit 73535fc3f17a04e73bfaf7a9554819058b2d8bcd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 2 20:19:24 2021 +0100

    Add test for XShm extension+pixmaps.

 src/wmapp.cc  | 12 +++++++++---
 src/ywindow.h |  7 +++++++
 src/yxapp.cc  | 11 +++++++++++
 3 files changed, 27 insertions(+), 3 deletions(-)

commit e860a7d81ee12064ca0a10f7a7a47bb5c490e2c9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 2 20:17:38 2021 +0100

    Free empty settings menu.

 src/wmprog.cc | 2 ++
 1 file changed, 2 insertions(+)

commit e03c768f19afec9af6000452ea5b5143e8454fa5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 2 20:14:24 2021 +0100

    Remove updateUrgency, fWmUrgency, fClientUrgency, fOldState, fOldLayer
    from frames. Remove the urgent state flag from frame when gaining or
    losing focus.

 src/wmclient.cc   | 40 ++++++++++++++++------------------------
 src/wmclient.h    | 11 ++++++-----
 src/wmframe.cc    | 51 +++++++++++++++++----------------------------------
 src/wmframe.h     |  8 +-------
 src/wmminiicon.cc |  2 +-
 5 files changed, 41 insertions(+), 71 deletions(-)

commit e7a87348879b9cef5db06431a789a1c5c3633798
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 2 20:13:28 2021 +0100

    Initialize TaskButton object.

 src/atasks.cc | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit c01456ba31c790c13834d031fa344a7ccc8ff45a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 2 20:13:01 2021 +0100

    Add 'urgent' action to icesh.

 man/icesh.pod | 4 ++++
 src/icesh.cc  | 6 +++++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 84bcd921a0306323d5fa662ba34cd06989455635
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 28 21:05:52 2021 +0100

    Commit release 2.1.1.

 AUTHORS          |   5 +-
 ChangeLog        | 929 +++++++++++++++++----------------------------------
 NEWS             | 158 ++++-----
 README.md        |  38 +--
 RELEASE.md       |   2 +-
 VERSION          |   2 +-
 configure.ac     |  12 +-
 man/icewm.pod    |   4 +
 po/ar.po         |  18 +-
 po/be.po         |  18 +-
 po/bg.po         |  18 +-
 po/ca.po         |  18 +-
 po/cs.po         |  18 +-
 po/da.po         |  18 +-
 po/de.po         |  18 +-
 po/el.po         |  18 +-
 po/en.po         |  18 +-
 po/es.po         |  18 +-
 po/fi.po         |  18 +-
 po/fr.po         |  18 +-
 po/he.po         |  18 +-
 po/hr.po         |  18 +-
 po/hu.po         |  18 +-
 po/icewm.pot     |  20 +-
 po/id.po         |  18 +-
 po/it.po         |  18 +-
 po/ja.po         |  18 +-
 po/ko.po         |  18 +-
 po/lt.po         |  18 +-
 po/lv.po         |  18 +-
 po/mk.po         |  18 +-
 po/nb.po         |  18 +-
 po/nl.po         |  18 +-
 po/no.po         |  18 +-
 po/pl.po         |  18 +-
 po/pt.po         |  18 +-
 po/pt_BR.po      |  18 +-
 po/ro.po         |  18 +-
 po/ru.po         |  18 +-
 po/sk.po         |  18 +-
 po/sl.po         |  18 +-
 po/sv.po         |  18 +-
 po/tr.po         |  18 +-
 po/uk.po         |  18 +-
 po/vi.po         |  18 +-
 po/zh_CN.po      |  18 +-
 po/zh_TW.po      |  18 +-
 src/wmtaskbar.cc |   1 +
 src/ybutton.cc   |   9 +-
 src/ycursor.cc   |   5 +-
 50 files changed, 764 insertions(+), 1105 deletions(-)

commit bc0ddd726342a9068edfa7c1405936c6c6014831
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 25 13:36:32 2021 +0100

    Create a Settings submenu to reduce Start menu items for issue #543.

 src/wmprog.cc | 76 ++++++++++++++++++++-----------------------------------
 1 file changed, 28 insertions(+), 48 deletions(-)

commit 69b863383b78ee5bd6ac50b490c8dbfb07e36930
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 25 13:34:17 2021 +0100

    Only add a separator if previous item is not.

 src/ymenu.cc    | 17 +++++++++++++++--
 src/ymenu.h     |  8 +++++---
 src/ymenuitem.h |  5 ++---
 3 files changed, 22 insertions(+), 8 deletions(-)

commit 6c645294d3b8c417b8ffb5773657d981686072df
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 24 14:16:35 2021 +0100

    Prepare 2.1.1 release

 AUTHORS      |   16 +-
 ChangeLog    | 8807 ++++++++++++++++++++++++++----------------------------
 INSTALL      |  322 +-
 NEWS         |  963 ++----
 README.md    |    4 +-
 configure.ac |    4 +-
 po/ar.po     |  213 +-
 po/be.po     |  215 +-
 po/bg.po     |  215 +-
 po/ca.po     |  217 +-
 po/cs.po     |  217 +-
 po/da.po     |  213 +-
 po/de.po     |  213 +-
 po/el.po     |  213 +-
 po/en.po     |  210 +-
 po/es.po     |  213 +-
 po/fi.po     |  213 +-
 po/fr.po     |  213 +-
 po/he.po     |  215 +-
 po/hr.po     |  210 +-
 po/hu.po     |  217 +-
 po/icewm.pot |  212 +-
 po/id.po     |  213 +-
 po/it.po     |  213 +-
 po/ja.po     |  217 +-
 po/ko.po     |  215 +-
 po/lt.po     |  215 +-
 po/lv.po     |  215 +-
 po/mk.po     |  215 +-
 po/nb.po     |  215 +-
 po/nl.po     |  217 +-
 po/no.po     |  215 +-
 po/pl.po     |  215 +-
 po/pt.po     |  213 +-
 po/pt_BR.po  |  213 +-
 po/ro.po     |  215 +-
 po/ru.po     |  213 +-
 po/sk.po     |  217 +-
 po/sl.po     |  215 +-
 po/sv.po     |  213 +-
 po/tr.po     |  215 +-
 po/uk.po     |  215 +-
 po/vi.po     |  215 +-
 po/zh_CN.po  |  213 +-
 po/zh_TW.po  |  213 +-
 45 files changed, 8954 insertions(+), 9516 deletions(-)

commit c639b5a8c2ae47c85a0c3f5d983fea1e40e3ab53
Merge: c8942a54 ae2d1703
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 24 13:59:27 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit ae2d17030fd86a922649c9ab975a0df959e1593e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 24 13:41:29 2021 +0100

    Moving towards 2.1.1.

 VERSION      | 2 +-
 configure.ac | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit d63426a0dafa5307790144e71dcbadc13f87c6db
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 24 13:40:03 2021 +0100

    Detail.

 man/icewm.pod | 4 ++++
 1 file changed, 4 insertions(+)

commit 699a4c5ec86c2af6e4db9c899ad9f90210f5a421
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 23 18:50:22 2021 +0100

    Improve the isValid test for Imlib2 custom cursors.

 src/ycursor.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 501cd852918dcdf21e4dddc4abf50d2d0f410cf0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 23 18:22:44 2021 +0100

    Fix issue #542 for texturing background of task pane.

 src/wmtaskbar.cc | 1 +
 1 file changed, 1 insertion(+)

commit 1d28361a69d773ba0d026119ff197d38900eac0a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 23 16:02:21 2021 +0100

    Don't unarm menu popup buttons for issue #527.

 src/ybutton.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit a0a85793c142a56ab7bf42e1a1d4023d36849b52
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 23 15:54:50 2021 +0100

    Provide drawable context when creating pixmap cursors with Imlib2 for
    issue #541.

 src/ycursor.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 61462c64a533a99774d1fe82aa5f39d2b5a65840
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 23 01:18:14 2021 +0100

    Prepare 2.1.0 release

 AUTHORS      |   4 +-
 ChangeLog    | 380 ++++++++++++++++++++++++++-----------------------------
 NEWS         |  96 +++++---------
 README.md    |  36 +++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  12 +-
 po/ar.po     | 169 +++++++++++++------------
 po/be.po     | 171 ++++++++++++-------------
 po/bg.po     | 171 ++++++++++++-------------
 po/ca.po     | 169 +++++++++++++------------
 po/cs.po     | 169 +++++++++++++------------
 po/da.po     | 169 +++++++++++++------------
 po/de.po     | 169 +++++++++++++------------
 po/el.po     | 169 +++++++++++++------------
 po/en.po     | 166 ++++++++++++------------
 po/es.po     | 169 +++++++++++++------------
 po/fi.po     | 169 +++++++++++++------------
 po/fr.po     | 169 +++++++++++++------------
 po/he.po     | 171 ++++++++++++-------------
 po/hr.po     | 166 ++++++++++++------------
 po/hu.po     | 173 ++++++++++++-------------
 po/icewm.pot | 168 ++++++++++++------------
 po/id.po     | 169 +++++++++++++------------
 po/it.po     | 169 +++++++++++++------------
 po/ja.po     | 169 +++++++++++++------------
 po/ko.po     | 171 ++++++++++++-------------
 po/lt.po     | 171 ++++++++++++-------------
 po/lv.po     | 171 ++++++++++++-------------
 po/mk.po     | 171 ++++++++++++-------------
 po/nb.po     | 171 ++++++++++++-------------
 po/nl.po     | 169 +++++++++++++------------
 po/no.po     | 171 ++++++++++++-------------
 po/pl.po     | 171 ++++++++++++-------------
 po/pt.po     | 169 +++++++++++++------------
 po/pt_BR.po  | 169 +++++++++++++------------
 po/ro.po     | 171 ++++++++++++-------------
 po/ru.po     | 169 +++++++++++++------------
 po/sk.po     | 169 +++++++++++++------------
 po/sl.po     | 171 ++++++++++++-------------
 po/sv.po     | 169 +++++++++++++------------
 po/tr.po     | 171 ++++++++++++-------------
 po/uk.po     | 171 ++++++++++++-------------
 po/vi.po     | 171 ++++++++++++-------------
 po/zh_CN.po  | 169 +++++++++++++------------
 po/zh_TW.po  | 169 +++++++++++++------------
 46 files changed, 3569 insertions(+), 3581 deletions(-)

commit bb98979dcf5de13d065c0e1d8b1d03d82b6c5244
Merge: 7078f1a4 c8942a54
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 23 01:09:31 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit c8942a542106429adb5012aeacdef1521fcd3d13
Merge: eee57659 fe2600cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 23 01:08:39 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit fe2600cdb8010745f2e2d53c278fa29b4c6adcfb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 20 01:48:52 2021 +0100

    Remember maximized when fullscreen for issues #538 and #533.

 src/WinMgr.h    |  7 ++-----
 src/wmclient.cc | 25 +++++++++----------------
 src/wmclient.h  |  6 ++----
 src/wmframe.cc  | 25 ++++++++++++-------------
 src/wmmgr.cc    | 12 ++++--------
 5 files changed, 29 insertions(+), 46 deletions(-)

commit 331dbf8a42325f4bb83e1764b8460f08ff7f46b4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 18 20:45:11 2021 +0100

    Disarm button on release of mouse for issue #527.

 src/ybutton.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 9e9cd63fd7b908a85955ec0031966aa19e3471a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 18 19:50:17 2021 +0100

    Fix dragging task buttons.

 src/atasks.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit f505fa3c0ca869ee6a5e78795f65aefd964a32f0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 18 04:06:28 2021 +0100

    Restore icesh setTrayOption and getTrayOption for issue #537.
    Make support for "_NET_WM_FULLSCREEN_MONITORS" better conformant to EWMH
    spec. Add "monitors", "frame", "properties" commands to icesh.
    Make preference FullscreenUseAllMonitors use just all the monitors.

 man/icesh.pod   | 47 +++++++++++++++++++++++-----
 src/icesh.cc    | 88 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/wmapp.cc    |  1 +
 src/wmclient.cc | 36 +++++++++++++++++++---
 src/wmclient.h  |  1 +
 src/wmframe.cc  | 51 ++++++++++++++++---------------
 src/wmframe.h   |  2 +-
 src/wmmgr.h     |  1 +
 src/yrect.h     |  6 ++++
 src/yxapp.cc    |  2 ++
 10 files changed, 198 insertions(+), 37 deletions(-)

commit 9f67e9545e0e81868a6bb9a5f444b01c6e32ba1b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 18 04:05:00 2021 +0100

    Split the TaskBarApp class in a button class and an app class for
    issue #198.

 src/atasks.cc | 360 +++++++++++++++++++++++++++++++++---------------------
 src/atasks.h  | 119 +++++++++++-------
 2 files changed, 291 insertions(+), 188 deletions(-)

commit ae84625c04299cca563d154aca065abfb8a17f7c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 18 03:37:56 2021 +0100

    Revert "Clarify startMoveSize." to fix issue #540.

    This reverts commit 76a67485fe5d6a7f44bc82f05d891a112d682273.

 src/movesize.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 9f06f7c869b66d36313e9aefca659daeff1efcf9
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Jan 9 17:21:49 2021 +0100

    Option to move the ShowDesktop button to the right side

    This looks more similar to the modern Windows desktop.

 doc/icewm.adoc            |  2 +-
 man/icewm-preferences.pod |  2 +-
 src/default.h             |  4 ++--
 src/wmtaskbar.cc          | 12 ++++++++++--
 4 files changed, 14 insertions(+), 6 deletions(-)

commit d042bab1f878ec4f96df63d4558747e0f046c227
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Jan 6 13:46:33 2021 +0100

    Restore the old position in quickswitch on window destruction

 src/wmswitch.cc | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 6ebb8816caa63fe0aef41ca71c8f666dcdff0dd7
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Jan 6 11:20:38 2021 +0100

    Option for Alt-F4ing windows in quick-switch

    The close action is triggered by a meta key and the one from Window
    Closing action, which is supposedly the same in almost all situations.

 src/wmswitch.cc | 34 +++++++++++++++++++++++++++++-----
 src/wmswitch.h  |  2 ++
 2 files changed, 31 insertions(+), 5 deletions(-)

commit 7078f1a4fd047234792a2a1fbdd45a22aa57a242
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 2 23:44:07 2021 +0100

    Prepare 2.0.1 release

 AUTHORS      |  16 +-
 ChangeLog    | 563 ++++++++++++++++++++++++++++---------------------------
 NEWS         | 103 +++++-----
 README.md    |  36 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  12 +-
 po/ar.po     |  34 ++--
 po/be.po     |  34 ++--
 po/bg.po     |  34 ++--
 po/ca.po     |  38 ++--
 po/cs.po     |  38 ++--
 po/da.po     |  34 ++--
 po/de.po     |  34 ++--
 po/el.po     |  34 ++--
 po/en.po     |  34 ++--
 po/es.po     |  34 ++--
 po/fi.po     |  34 ++--
 po/fr.po     |  34 ++--
 po/he.po     |  34 ++--
 po/hr.po     |  34 ++--
 po/hu.po     |  34 ++--
 po/icewm.pot |  36 ++--
 po/id.po     |  34 ++--
 po/it.po     |  34 ++--
 po/ja.po     |  38 ++--
 po/ko.po     |  34 ++--
 po/lt.po     |  34 ++--
 po/lv.po     |  34 ++--
 po/mk.po     |  34 ++--
 po/nb.po     |  34 ++--
 po/nl.po     |  38 ++--
 po/no.po     |  34 ++--
 po/pl.po     |  34 ++--
 po/pt.po     |  34 ++--
 po/pt_BR.po  |  34 ++--
 po/ro.po     |  34 ++--
 po/ru.po     |  34 ++--
 po/sk.po     |  38 ++--
 po/sl.po     |  34 ++--
 po/sv.po     |  34 ++--
 po/tr.po     |  34 ++--
 po/uk.po     |  34 ++--
 po/vi.po     |  34 ++--
 po/zh_CN.po  |  34 ++--
 po/zh_TW.po  |  34 ++--
 46 files changed, 1044 insertions(+), 1038 deletions(-)

commit a43eef27fbbd0502a700d189a90dc34e70286f5d
Merge: 3b95d791 eee57659
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 2 23:38:25 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit eee57659fd43a1643228fb61daae999397797ee7
Merge: 5069b5f7 85977c3c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 2 23:31:53 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 85977c3c36776a48fbf39e664885d7d415e0cbc0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 2 19:12:52 2021 +0100

    Fix spelling of Gerenciador for pt_BR.

 lib/icewm.desktop | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b123f43e6d7d7d33a81cab310a736e39e21db1c7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 2 14:29:51 2021 +0100

    Improve getting icon window for WM_STATE.

 src/wmclient.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 064b979ae93bcf0fc804710e4564c53df27c6b08
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jan 1 12:10:58 2021 +0100

    Note that support was added for icon_pixmap and icon_window fields of
    WM_HINTS property in 2.0.0.

 TODO | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6d3ec2529857191a8a6a10c8ae64990d38e262d8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jan 1 12:10:12 2021 +0100

    Update to 2.0.0.

 RELEASE.md | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 57732612f28b5ea8230de64b21db51e3a2a8beac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jan 1 12:09:38 2021 +0100

    Add IceVM explanation to README for ice-wm/icewm#35

 README.md    | 15 +++++++++------
 README.md.in | 11 +++++++----
 2 files changed, 16 insertions(+), 10 deletions(-)

commit e1e58d86f2014f50b6893478b019a478a2f27ab7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 31 22:44:14 2020 +0100

    Reset horizontal scrolling when using the Home and End keys for the
    window list.

 src/ylistbox.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 51f375fc796203dabcdcf770c6e66d9c95119b50
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 31 22:43:25 2020 +0100

    Make isUrgent a member of ClientData.

 src/wmclient.h | 2 +-
 src/wmframe.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b2e70ee499c8d3a0c3049be0cdf4347af54abf50
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 31 22:42:07 2020 +0100

    Communicate the window ID of the icon window in WM_STATE when iconifying
    to desktop.

 src/wmclient.cc   | 5 ++++-
 src/wmminiicon.cc | 4 ++++
 src/wmminiicon.h  | 1 +
 3 files changed, 9 insertions(+), 1 deletion(-)

commit 76a67485fe5d6a7f44bc82f05d891a112d682273
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 31 22:39:31 2020 +0100

    Clarify startMoveSize.

 src/movesize.cc | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 2572bd7be90901756fb1f592e300d9ac58830874
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 31 22:37:27 2020 +0100

    Allow to set background opacity for QuickSwitch background for #534.

 src/wmswitch.cc | 8 --------
 src/wmswitch.h  | 2 --
 2 files changed, 10 deletions(-)

commit 2be556424a8985278a363a009fea1ea4a985a463
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 31 22:37:27 2020 +0100

    Fix setting option values for #535.

 src/wmprog.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit ff6660817193de6420453def06373b5c3c15a11c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 31 22:37:27 2020 +0100

    Search for icewm icon for internal windows.

 src/wmframe.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 3a97a1f1d0decc8b677fa16996183a7535573c29
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 21 18:11:27 2020 +0100

    Handle horizontal scroll keys in window list window.

 src/ylistbox.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit b4e720be08bf8ec2a8273bcc7b16eda0863202ea
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Mon Dec 21 11:33:10 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (468 of 468 strings)

 po/id.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4db3ccbe22a99c74f94ba6c33fa471c1935d33d0
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Fri Dec 18 19:14:36 2020 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (468 of 468 strings)

 po/pt_BR.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 18ae6ec9b572dcf44cc3a98335c9690deb8010a2
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Dec 15 14:28:03 2020 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (468 of 468 strings)

 po/sk.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 674fe385b4cfe25267ff00391076dedbd06b59d6
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Dec 14 20:20:45 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (468 of 468 strings)

 po/pt.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f744887712f17800e9dea44c059712bdfd91921f
Author: David Medina <medipas@gmail.com>
Date:   Mon Dec 14 18:01:27 2020 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (468 of 468 strings)

 po/ca.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 8001aa7f33bd1098f48d60145d45ca9d73a8f8c9
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Mon Dec 14 14:34:03 2020 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (468 of 468 strings)

 po/nl.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 6d984320dd67a8da467593987e581e7877974f3d
Author: Aleš Kastner <alkas@volny.cz>
Date:   Mon Dec 14 14:27:51 2020 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (468 of 468 strings)

 po/cs.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 063df95364e113b7b4f0fa4efc3842cfd45adb88
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Dec 14 01:31:39 2020 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (468 of 468 strings)

 po/ja.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3b95d79143fdb8336a2519c7119fad02b3484836
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 14 02:18:46 2020 +0100

    Prepare 2.0.0 release

 AUTHORS      |    3 +-
 ChangeLog    | 9159 +++++++++++++++++++++++++++---------------------------
 NEWS         |  330 +-
 README.md    |   36 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |    2 +-
 po/be.po     |    2 +-
 po/bg.po     |    2 +-
 po/ca.po     |    2 +-
 po/cs.po     |    2 +-
 po/da.po     |    2 +-
 po/de.po     |    2 +-
 po/el.po     |    2 +-
 po/en.po     |    2 +-
 po/es.po     |    2 +-
 po/fi.po     |    2 +-
 po/fr.po     |    2 +-
 po/he.po     |    2 +-
 po/hr.po     |    2 +-
 po/hu.po     |    2 +-
 po/icewm.pot |    4 +-
 po/id.po     |    2 +-
 po/it.po     |    2 +-
 po/ja.po     |    2 +-
 po/ko.po     |    2 +-
 po/lt.po     |    2 +-
 po/lv.po     |    2 +-
 po/mk.po     |    2 +-
 po/nb.po     |    2 +-
 po/nl.po     |    2 +-
 po/no.po     |    2 +-
 po/pl.po     |    2 +-
 po/pt.po     |    2 +-
 po/pt_BR.po  |    2 +-
 po/ro.po     |    2 +-
 po/ru.po     |    2 +-
 po/sk.po     |    2 +-
 po/sl.po     |    2 +-
 po/sv.po     |    2 +-
 po/tr.po     |    2 +-
 po/uk.po     |    2 +-
 po/vi.po     |    2 +-
 po/zh_CN.po  |    2 +-
 po/zh_TW.po  |    2 +-
 46 files changed, 4732 insertions(+), 4890 deletions(-)

commit 4e55c22062b37f1a6071a91a0f4b9247d08e5093
Merge: 84abbd6a 5069b5f7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 14 02:11:22 2020 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 5069b5f71dc607789be16966017c6738a8e2495e
Merge: 8c6ed08b 869a96fa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 14 02:08:23 2020 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 869a96fa8db2c090d48d962b9c98c1ac9c900593
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 14 01:46:24 2020 +0100

    make update-po

 po/ar.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/be.po     | 322 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 320 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 320 +++++++++++++++++++++++++++---------------------------
 po/de.po     | 321 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 323 ++++++++++++++++++++++++++++---------------------------
 po/en.po     | 307 ++++++++++++++++++++++++++--------------------------
 po/es.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/fi.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/fr.po     | 320 +++++++++++++++++++++++++++---------------------------
 po/he.po     | 313 ++++++++++++++++++++++++++---------------------------
 po/hr.po     | 311 ++++++++++++++++++++++++++--------------------------
 po/hu.po     | 322 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 309 ++++++++++++++++++++++++++--------------------------
 po/id.po     | 320 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/ja.po     | 323 ++++++++++++++++++++++++++++---------------------------
 po/ko.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/lt.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/lv.po     | 320 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 320 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/no.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/pt.po     | 320 +++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 320 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 322 +++++++++++++++++++++++++++---------------------------
 po/ru.po     | 321 +++++++++++++++++++++++++++---------------------------
 po/sk.po     | 321 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/sv.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/tr.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 321 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 319 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 319 +++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 319 +++++++++++++++++++++++++++---------------------------
 39 files changed, 6342 insertions(+), 6096 deletions(-)

commit 9e18031899e011e3e171396327031bae5778eaca
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 13 20:14:45 2020 +0100

    Reposition window list if it got offscreen.

 src/wmwinlist.cc | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 444a934f404b9b8cc017725c57eb8ed524e1d27f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 13 20:14:45 2020 +0100

    Optimize scrolling images in iceview.

 src/iceview.cc | 74 +++++++++++++++++++++---------------------------------
 1 file changed, 29 insertions(+), 45 deletions(-)

commit 386e1b384dc7369c0f8baa9a8bd30648bd2c691e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 13 20:14:45 2020 +0100

    Fix horizontal scrolling in icehelp.

 src/icehelp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 686815fe8c687927268f84b69d823b30d01209f6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 13 20:14:45 2020 +0100

    Optimize scrollbars.

 src/iceicon.cc     | 17 ++--------
 src/ylistbox.cc    |  4 ---
 src/ylistbox.h     |  1 -
 src/yscrollbar.cc  | 59 ++++++++------------------------
 src/yscrollbar.h   |  8 ++---
 src/yscrollview.cc | 91 ++++++++++++++++++++++++++------------------------
 src/yscrollview.h  | 30 ++++++++---------
 7 files changed, 80 insertions(+), 130 deletions(-)

commit 4344120d17ce2d165e01ab320eec46a8911db7b9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 13 20:14:45 2020 +0100

    Ignore graphics exposures when in scrollWindow.

 src/ywindow.cc | 15 ++++-----------
 1 file changed, 4 insertions(+), 11 deletions(-)

commit 499e587693f99391cc78825edeab4743e1df5936
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 8 00:20:39 2020 +0100

    Use _NET_WM_STATE_HIDDEN instead of IconicState for minimize.

 src/icesh.cc | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit c4039825c812fa1ed92f3b52788c50e8140f0343
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 8 00:04:18 2020 +0100

    Tests for ypointer.h.

 src/testpointer.cc | 97 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 97 insertions(+)

commit 4b7b28bb0d8b2bc25cf3de392d6218e5cd094f34
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 8 00:00:45 2020 +0100

    Update 4.1.9 Icons for icon_pixmap and icon_window.

 COMPLIANCE | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b0711844516ce624ce3fb09de672a7ec9217a149
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 7 23:57:13 2020 +0100

    Subtract border from icon_window position in MiniIcon.

 src/wmminiicon.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 206e753707789eacf1dd780f043d9cad2b6833bf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 7 09:59:58 2020 +0100

    Update man.

 man/icewm.pod | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 39775ce30d47a13cff922cdc75c9140fd3bed925
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 7 09:58:02 2020 +0100

    Remove support for _WIN_PROTOCOL properties.

 man/icesh.pod    |  95 +--------------
 src/icesh.cc     | 330 ++++-----------------------------------------------
 src/wmabout.cc   |   4 +-
 src/wmapp.cc     |  48 +-------
 src/wmclient.cc  | 133 ++-------------------
 src/wmclient.h   |  13 +-
 src/wmframe.cc   |  30 ++---
 src/wmmgr.cc     | 107 +----------------
 src/wmmgr.h      |  16 +--
 src/wmtaskbar.cc |   4 +-
 src/wmwinlist.cc |   4 +-
 src/ymsgbox.cc   |   4 +-
 src/yxapp.cc     |  28 -----
 13 files changed, 66 insertions(+), 750 deletions(-)

commit 36e1aed6dc7a608dd5dd29c7cc498ae241237723
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 6 23:11:03 2020 +0100

    Don't unroll on button press for issue #525.

 src/wmtitle.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cd552f12bf6276511f32217b59e7bb18bd875cab
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 6 20:32:10 2020 +0100

    Don't blend MiniIcon when not in 32-bit mode.

 src/wmminiicon.cc | 8 +++++++-
 src/yimage.h      | 1 +
 src/yimage2.cc    | 9 +++++++++
 3 files changed, 17 insertions(+), 1 deletion(-)

commit e8d58b7939c3fa023432f863b335036006e9346d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 6 18:35:17 2020 +0100

    Fix for drawing TitleAB and TitleIB pixmaps when they are gradients for
    issue #523.

 src/yimage2.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 051cfd8c8a3ae05f742f70dc21cc17ac638e7561
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 6 18:34:51 2020 +0100

    Drop const from parameters.

 src/ypaint.cc | 44 ++++++++++++++++++++++----------------------
 src/ypaint.h  | 36 ++++++++++++++++++------------------
 2 files changed, 40 insertions(+), 40 deletions(-)

commit 0913c1a1221ff5a1025f4ad0d746592eb0ae90f7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 6 18:34:26 2020 +0100

    Fix typo for yorigin in composite.

 src/yimage_gdk.cc | 2 +-
 src/yximage.cc    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 41a4c4d10b42e3f0d23e224892c1680d0964a463
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 6 11:59:17 2020 +0100

    Remove unwanted space and separator in taskbar if toolbar is empty for
    issue #524.

 src/objbar.h     | 1 +
 src/wmtaskbar.cc | 6 +++++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit f5efba5e15d137ed7a4e4e58b287a1ad249a9155
Author: Claudio Cesar de Sá <ccs1664@gmail.com>
Date:   Sat Dec 5 11:33:37 2020 -0300

    support BR_Portuguese language in 2 files /lib (#522)

    icewm-session.desktop and
    icewm.desktop with support BR_Portuguese language

 lib/icewm-session.desktop | 4 +++-
 lib/icewm.desktop         | 2 ++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 164243a8ed725f3a603f1a1362879a14699dab4c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 26 12:32:52 2020 +0100

    Simplify call to nl_langinfo and improve readability.

 src/yfontxft.cc | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 32bfae82d6c8d2c678d6d0d5f2a70326c958d3bb
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Nov 26 02:39:58 2020 +0100

    If-case formating fix

    Also separate regions to unconfuse the editor.

 src/yfontxft.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit f1758cd090f03b6ff12e59c1ce66430644a33e63
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 25 22:16:44 2020 +0100

    Prevent deprecated warnings for librsvg.

 src/yimage2.cc | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit e416b2ce984a56bab6a989a4d1441301ae2e17fb
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Nov 25 21:18:55 2020 +0100

    Check CONFIG_I18N prior to calling nl_langinfo

    For #519

 src/yfontxft.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 8666ef591a644572abcb64dabb9941c18269dbc8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 25 19:44:56 2020 +0100

    Add support for WM_HINTS icon_window in MiniIcons.

 src/wmminiicon.cc | 77 +++++++++++++++++++++++++++++++++++++++++++++------
 src/wmminiicon.h  |  5 ++++
 2 files changed, 74 insertions(+), 8 deletions(-)

commit ac0efbe8b8b7f83db3fdd0bd35498d47e196cb5a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 25 19:44:56 2020 +0100

    In unmanage first delete MiniIcon.

 src/wmframe.cc | 59 ++++++++++++++++++++++++------------------------------
 1 file changed, 26 insertions(+), 33 deletions(-)

commit 1b4cb5ea94be72b5ec75e2b10e9079cabfc8be6d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 25 19:44:56 2020 +0100

    Add more WM_HINTS accessor functions. Check if WM_HINTS update actually
    changes anything.

 src/wmclient.cc | 77 +++++++++++++++++++++++++++++++++++++++--------------
 src/wmclient.h  | 26 +++++++++---------
 2 files changed, 69 insertions(+), 34 deletions(-)

commit 9d87fbe3393c73bf890244517892a0f1c4fe94d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 25 19:44:56 2020 +0100

    Check for destroyed when reparenting.

 src/ywindow.cc | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit a83bfd4a6e09474f7516dea6097aa59fd25f4d3c
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Nov 18 23:19:05 2020 +0100

    No attempt to draw Unicode in non-UTF-8 environment

    Workaround for issue #519

 src/yfontxft.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 8d139c52bc11c2001976ab319f5d796e8795e41a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 24 18:41:19 2020 +0100

    Fixes for showing the icon_pixmap from WM_HINTS for timidity and fontforge.

 src/wmframe.cc | 66 +++++++++++++++++++++++++++++++++---------------------
 1 file changed, 40 insertions(+), 26 deletions(-)

commit cf61b0182c8574e507791c62063bdeae9d843dbf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 24 02:34:26 2020 +0100

    Remove superfluous.

 src/wmtaskbar.cc | 6 ------
 1 file changed, 6 deletions(-)

commit bb08cd1468aac9b6585f41c0ab2769d5646d6281
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 24 02:34:26 2020 +0100

    Center MiniIcon.

 src/wmminiicon.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 63fa7c2195f4865a1312e1541088f3630b45621e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 24 02:34:26 2020 +0100

    XGetGeometry returns True.

 src/wmframe.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 305261c2e169539bbe0afb6b29821fbe57b5dd62
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 23 12:16:16 2020 +0100

    Fix for showing the icon_pixmap from WM_HINTS, which fixes the icon for
    NEdit and xmgrace.

 src/wmframe.cc | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 2e764445d1f92e8dc7d1d438ac7f9a0fcadda85d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 21:30:47 2020 +0100

    If Imlib2 then disable GdkPixbuf.

 src/CMakeLists.txt | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 0c23649ee0fb8d783580ab01b23d870ef76ff77f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 21:14:22 2020 +0100

    Add libimlib2-dev dependency.

 .github/workflows/cmake.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c8b0368722d4a7c13c45484be12832d6f9ffb0ae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 20:21:51 2020 +0100

    Support SVG in Imlib2. Make Imlib2 the default render engine.

 configure.ac       | 41 ++++++++++++++++++++++++-----------------
 src/CMakeLists.txt | 37 +++++++++++++++++++++----------------
 2 files changed, 45 insertions(+), 33 deletions(-)

commit de1d52120e8c9acf585d5496c958560b032c702f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 20:21:14 2020 +0100

    Show render engine in About. Use layout classes.

 src/wmabout.cc | 175 ++++++++++++-----------------------------------------
 src/wmabout.h  |  24 +++-----
 2 files changed, 48 insertions(+), 151 deletions(-)

commit fd4cd666b3bd0e4383f15cfd8957cd158d85116e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 20:18:58 2020 +0100

    Better MiniIcons for Imlib2. Support SVG in Imlib2.  Add renderName.

 src/wmminiicon.cc |  2 +-
 src/yicon.cc      | 10 +++---
 src/yimage.h      |  6 ++--
 src/yimage2.cc    | 85 ++++++++++++++++++++++++++++++++++++++++++++-------
 src/yimage_gdk.cc |  4 +++
 src/yximage.cc    |  4 +++
 6 files changed, 91 insertions(+), 20 deletions(-)

commit d9b6af6f89479a4b5567160004baf8bdffa7d412
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 20:17:29 2020 +0100

    Add ylayout.h

 src/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 6ec4609a0876a111dd49224b893f1b95095778a1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 20:16:55 2020 +0100

    Add layouts for dialogs.

 src/ylayout.h | 233 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 233 insertions(+)

commit dce01caf0a6d9cbd951c32d39f53fa39cf7e1998
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 20:16:19 2020 +0100

    YLabel and YMsgBox use cstrings.

 src/wmframe.cc |  2 +-
 src/wmframe.h  |  2 +-
 src/ylabel.cc  |  2 +-
 src/ylabel.h   | 10 +++++-----
 src/ymsgbox.cc |  5 +++--
 src/ymsgbox.h  |  4 ++--
 6 files changed, 13 insertions(+), 12 deletions(-)

commit 03d7f5ce0383c047ced4525dbb7f0d42b1126123
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 22 20:16:19 2020 +0100

    Add errno_string.

 src/base.h  | 1 +
 src/misc.cc | 4 ++++
 2 files changed, 5 insertions(+)

commit 12664c2e2e6df9d022c413c956fc71e8e262c244
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 21 00:18:35 2020 +0100

    Don't resize when trying to move when dragging at y=0 for issue #520.

 src/wmtitle.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 18736d55513c28866d551cf9098a4eab6e3cc033
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 20 00:55:22 2020 +0100

    Only change a schema key if it exists for issue ice-wm/man#1.

 icewm-set-gnomewm | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit ff4b5e185c19e80cf4525f9400bbe98ddeae5612
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 18 23:20:33 2020 +0100

    Report errors if enabled packages are missing for issue #516.

 configure.ac | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 6f0591795d3d320093497aeb6f80e0c453f38df4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 18 21:50:20 2020 +0100

    Instead of render.h include Xrender.h for dependency checking for
    issue #516.

 src/ypixmap.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3b97e59cfdaf4db12da2573cf35c5a732a439f6e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 17 00:34:39 2020 +0100

    Improve alpha thresholding for Imlib2 support for issue #513.

 src/yimage2.cc | 46 +++++++++++++++++++++++++---------------------
 1 file changed, 25 insertions(+), 21 deletions(-)

commit 17ffd865d58c6318d3434ddc4de874ab817eccde
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 17 00:33:27 2020 +0100

    Free fAutoScroll when its YWindow is destroyed.

 src/ywindow.cc | 2 --
 1 file changed, 2 deletions(-)

commit 17b3d77c700226749775512f3ab530c3f0cdbd3c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 16 01:43:20 2020 +0100

    Improve rendering quality for MiniIcons for issue #513.

 src/wmminiicon.cc | 2 +-
 src/yimage.h      | 1 +
 src/yimage2.cc    | 8 ++++++++
 3 files changed, 10 insertions(+), 1 deletion(-)

commit 282923b24a260e60b1b4ad8e6fe1352dc78698fd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 16 01:42:48 2020 +0100

    Add imlib2 to dependencies.

 rebuild.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 304b1f37483803bceaf30ee3c16e8cb518efd4ea
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 15 22:55:46 2020 +0100

    Prevent unsigned overflow.

 src/yimage2.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 403b2bc767813907afeb0d15a59a728e9a3dfebd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 15 22:55:31 2020 +0100

    Convert last IMLIB to IMLIB2.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 312cada031d9ba3aea1dc10d9aba80bee2c0e7f1
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Nov 15 22:42:35 2020 +0100

    [cmake] Print CONFIG_IMLIB2 variable status

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 922aa5fcbb46d80b9d6b4f722216b434f3c457a4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 15 22:18:22 2020 +0100

    Improve alpha blending for Imlib2 support for issue #513.

 src/yimage2.cc | 39 ++++++++++++++++++++++++++++-----------
 1 file changed, 28 insertions(+), 11 deletions(-)

commit aa51e2eb179a32154e1cbb6186aaf56bc7e3ffc8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 15 00:45:07 2020 +0100

    Add support for Imlib2 as a possible replacement for gdk-pixbuf for
    issue #513.

 configure.ac          |  37 ++++-
 rebuild.sh            |  14 +-
 src/CMakeLists.txt    |  38 ++---
 src/Makefile.am       |   1 +
 src/config.cmake.h.in |   2 +-
 src/wmapp.cc          |   3 +
 src/ycursor.cc        | 173 +++++++++++------------
 src/yimage2.cc        | 345 ++++++++++++++++++++++++++++++++++++++++++++++
 src/yximage.cc        |  15 +-
 9 files changed, 502 insertions(+), 126 deletions(-)

commit a094216d06e3afa319419c1d7537fc1ef5265d50
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Nov 14 14:13:21 2020 +0100

    Revert "Revert "Stop overpainting clock every second when not needed""

    This reverts commit 98e27dc1095deefd51bc11badfba51cb51119716.

     - one improvement of spaghetti code was left out (for "political" reasons)
     - LOC reduced and the forced draw in debug mode fixed

 src/aclock.cc | 26 +++++++++++++++-----------
 src/aclock.h  |  2 +-
 2 files changed, 16 insertions(+), 12 deletions(-)

commit 06c56501d5b406265212ce50d68e379217016fd1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 12 20:43:11 2020 +0100

    Set task title.

 src/aapm.cc   | 1 -
 src/atasks.cc | 4 +++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit ddd5905bf74ab4a12a2ed08e2eb6efdedffc6acb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 12 20:42:41 2020 +0100

    Prefer actionPerformed().

 src/wmminiicon.cc | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 4f5960e3aa4c2e40a3834f43ba50c4908ef6de09
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 12 20:42:23 2020 +0100

    Remove loseFocus().

 src/wmmgr.cc | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit 3c429f61f85927d324bb4d868905efa207eea4df
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 12 20:41:56 2020 +0100

    Remove wmmgr.h from wmframe.h. Add classHint() to ClientData.

 src/atray.cc       |  3 +--
 src/aworkspaces.cc |  2 +-
 src/decorate.cc    |  2 +-
 src/movesize.cc    |  1 +
 src/wmabout.cc     |  1 +
 src/wmapp.cc       |  1 +
 src/wmclient.h     | 47 ++++++++++++++++++++++++++++++++++++++++++++---
 src/wmcontainer.cc |  2 +-
 src/wmframe.cc     | 21 ++++++++++++---------
 src/wmframe.h      |  6 ++++--
 src/wmmgr.h        | 41 -----------------------------------------
 src/wmsession.cc   |  1 +
 src/wmswitch.cc    |  1 +
 src/wmtaskbar.cc   |  1 +
 src/wmwinlist.cc   |  1 +
 src/ymsgbox.cc     |  1 +
 16 files changed, 72 insertions(+), 60 deletions(-)

commit aefcbe5ec93f8e43925965a3824b3cc60d0529e1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 12 19:09:27 2020 +0100

    Fix positioning of window list title for non-standard SmallIconSize
    settings for issue #514.

 src/ylistbox.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 84abbd6ae374008e1b16fc62011874b136bad268
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 10 00:54:09 2020 +0100

    Prepare 1.9.2 release

 AUTHORS      |   2 +-
 ChangeLog    | 320 +++++++++++++++++++++++++++++++++++--------------------
 NEWS         | 148 ++++---------------------
 README.md    |  36 +++----
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   2 +-
 po/be.po     |   2 +-
 po/bg.po     |   2 +-
 po/ca.po     |   2 +-
 po/cs.po     |   2 +-
 po/da.po     |   2 +-
 po/de.po     |   2 +-
 po/el.po     |   2 +-
 po/en.po     |   2 +-
 po/es.po     |   2 +-
 po/fi.po     |   2 +-
 po/fr.po     |   2 +-
 po/he.po     |   2 +-
 po/hr.po     |   2 +-
 po/hu.po     |   2 +-
 po/icewm.pot |   4 +-
 po/id.po     |   2 +-
 po/it.po     |   2 +-
 po/ja.po     |   2 +-
 po/ko.po     |   2 +-
 po/lt.po     |   2 +-
 po/lv.po     |   2 +-
 po/mk.po     |   2 +-
 po/nb.po     |   2 +-
 po/nl.po     |   2 +-
 po/no.po     |   2 +-
 po/pl.po     |   2 +-
 po/pt.po     |   2 +-
 po/pt_BR.po  |   2 +-
 po/ro.po     |   2 +-
 po/ru.po     |   2 +-
 po/sk.po     |   2 +-
 po/sl.po     |   2 +-
 po/sv.po     |   2 +-
 po/tr.po     |   2 +-
 po/uk.po     |   2 +-
 po/vi.po     |   2 +-
 po/zh_CN.po  |   2 +-
 po/zh_TW.po  |   2 +-
 46 files changed, 293 insertions(+), 307 deletions(-)

commit 8af9740bffca94ffa08ff57c1b1f2677243f2c22
Merge: a7e868d6 8c6ed08b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 10 00:46:54 2020 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 8c6ed08b2fdf9a68bc8b5d6ae7b51a18a2a3b906
Merge: 61b47eb7 15f49b18
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 10 00:45:07 2020 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 15f49b18d8ef1ec635b68525fbef912bc3713015
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 10 00:44:09 2020 +0100

    make update-po

 po/ar.po     | 50 +++++++++++++++++++++++++-------------------------
 po/be.po     | 50 +++++++++++++++++++++++++-------------------------
 po/bg.po     | 50 +++++++++++++++++++++++++-------------------------
 po/ca.po     | 50 +++++++++++++++++++++++++-------------------------
 po/cs.po     | 50 +++++++++++++++++++++++++-------------------------
 po/da.po     | 50 +++++++++++++++++++++++++-------------------------
 po/de.po     | 50 +++++++++++++++++++++++++-------------------------
 po/el.po     | 50 +++++++++++++++++++++++++-------------------------
 po/en.po     | 50 +++++++++++++++++++++++++-------------------------
 po/es.po     | 50 +++++++++++++++++++++++++-------------------------
 po/fi.po     | 50 +++++++++++++++++++++++++-------------------------
 po/fr.po     | 50 +++++++++++++++++++++++++-------------------------
 po/he.po     | 50 +++++++++++++++++++++++++-------------------------
 po/hr.po     | 50 +++++++++++++++++++++++++-------------------------
 po/hu.po     | 50 +++++++++++++++++++++++++-------------------------
 po/icewm.pot | 52 ++++++++++++++++++++++++++--------------------------
 po/id.po     | 50 +++++++++++++++++++++++++-------------------------
 po/it.po     | 50 +++++++++++++++++++++++++-------------------------
 po/ja.po     | 50 +++++++++++++++++++++++++-------------------------
 po/ko.po     | 50 +++++++++++++++++++++++++-------------------------
 po/lt.po     | 50 +++++++++++++++++++++++++-------------------------
 po/lv.po     | 50 +++++++++++++++++++++++++-------------------------
 po/mk.po     | 50 +++++++++++++++++++++++++-------------------------
 po/nb.po     | 50 +++++++++++++++++++++++++-------------------------
 po/nl.po     | 50 +++++++++++++++++++++++++-------------------------
 po/no.po     | 50 +++++++++++++++++++++++++-------------------------
 po/pl.po     | 50 +++++++++++++++++++++++++-------------------------
 po/pt.po     | 50 +++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 50 +++++++++++++++++++++++++-------------------------
 po/ro.po     | 50 +++++++++++++++++++++++++-------------------------
 po/ru.po     | 50 +++++++++++++++++++++++++-------------------------
 po/sk.po     | 50 +++++++++++++++++++++++++-------------------------
 po/sl.po     | 50 +++++++++++++++++++++++++-------------------------
 po/sv.po     | 50 +++++++++++++++++++++++++-------------------------
 po/tr.po     | 50 +++++++++++++++++++++++++-------------------------
 po/uk.po     | 50 +++++++++++++++++++++++++-------------------------
 po/vi.po     | 50 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 50 +++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 50 +++++++++++++++++++++++++-------------------------
 39 files changed, 976 insertions(+), 976 deletions(-)

commit 0a286691d1e1c82a3c56c3db052f78608c74e3f4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 8 20:09:41 2020 +0100

    Use just one set of XSizeHints for issue ice-wm/icewm#28.

 src/wmclient.cc | 14 --------------
 src/wmclient.h  |  4 ----
 src/wmframe.cc  | 20 +-------------------
 3 files changed, 1 insertion(+), 37 deletions(-)

commit 5d788433895ea9023cacc198f0eb22010f86780c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 8 20:08:33 2020 +0100

    Improve logConfigureNotify details.

 src/logevent.cc | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit e3dc92cd81aaaf6755e3053f5f6db975b8fe862c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 8 16:54:52 2020 +0100

    Prevent inadvertent growing of windows in issue #512.

 src/wmclient.cc |  8 ++++----
 src/wmclient.h  |  3 ++-
 src/wmframe.cc  | 36 +++++++++++++++++++-----------------
 src/wmframe.h   |  8 ++++----
 4 files changed, 29 insertions(+), 26 deletions(-)

commit 2d4fbc96ad59265f8903ca637b5abe176410f0a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 8 16:53:57 2020 +0100

    Do XAllowEvents first.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75f83455c283647ac8882b2a18eb8377cef058c8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 8 16:53:33 2020 +0100

    Simplify use of XClassHint.

 src/wmsession.cc | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

commit a91665cc04607c8a0fdcb183837517d4fd0dcb13
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 8 16:53:17 2020 +0100

    Show toolbar button titles.

 src/obj.h     | 2 +-
 src/objbar.cc | 6 ++++--
 src/objbar.h  | 4 ++--
 src/objmenu.h | 2 +-
 src/wmprog.cc | 3 +--
 5 files changed, 9 insertions(+), 8 deletions(-)

commit 8b9cbcda42ef8cb707fece9bcf3108820a338fcc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 8 16:51:26 2020 +0100

    Move DND to subclass YDndWindow.

 src/icehelp.cc   |  2 +-
 src/iceicon.cc   |  3 +-
 src/icelist.cc   |  8 ++---
 src/iceview.cc   |  3 +-
 src/wmtaskbar.cc |  2 +-
 src/wmtaskbar.h  |  2 +-
 src/ywindow.cc   | 97 ++++++++++++++++++++++++++++++----------------------
 src/ywindow.h    | 40 +++++++++++++---------
 8 files changed, 89 insertions(+), 68 deletions(-)

commit 94ddebf95dcdde84c752175fc433bae6adef62c5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 8 16:51:26 2020 +0100

    Remove setDND.

 src/aclock.cc | 1 -
 1 file changed, 1 deletion(-)

commit a7e868d646639aaaf4bd57a56de2fc2fd364b2bb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 5 00:51:27 2020 +0100

    Prepare 1.9.1 release

 AUTHORS      |   2 +-
 ChangeLog    | 470 +++++++++++++++++++++++++++++++------------------------
 NEWS         | 148 ++++--------------
 README.md    |  38 ++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   2 +-
 po/be.po     |   2 +-
 po/bg.po     |   2 +-
 po/ca.po     |   2 +-
 po/cs.po     |   2 +-
 po/da.po     |   2 +-
 po/de.po     |   2 +-
 po/el.po     |   2 +-
 po/en.po     |   2 +-
 po/es.po     |   2 +-
 po/fi.po     |   2 +-
 po/fr.po     |   2 +-
 po/he.po     |   2 +-
 po/hr.po     |   2 +-
 po/hu.po     |   2 +-
 po/icewm.pot |   4 +-
 po/id.po     |   2 +-
 po/it.po     |   2 +-
 po/ja.po     |   2 +-
 po/ko.po     |   2 +-
 po/lt.po     |   2 +-
 po/lv.po     |   2 +-
 po/mk.po     |   2 +-
 po/nb.po     |   2 +-
 po/nl.po     |   2 +-
 po/no.po     |   2 +-
 po/pl.po     |   2 +-
 po/pt.po     |   2 +-
 po/pt_BR.po  |   2 +-
 po/ro.po     |   2 +-
 po/ru.po     |   2 +-
 po/sk.po     |   2 +-
 po/sl.po     |   2 +-
 po/sv.po     |   2 +-
 po/tr.po     |   2 +-
 po/uk.po     |   2 +-
 po/vi.po     |   2 +-
 po/zh_CN.po  |   2 +-
 po/zh_TW.po  |   2 +-
 46 files changed, 361 insertions(+), 391 deletions(-)

commit 5bf1b4817586bce00f696f21e711e6132ae9f9a9
Merge: 29abd06a 61b47eb7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 5 00:42:08 2020 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 61b47eb7e9545859f743431db85e940fd0f02386
Merge: 813dd473 d48c1b46
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 5 00:40:57 2020 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit d48c1b460770291e2f012cc631fe9f2ca812186e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 23:21:18 2020 +0100

    Fix compilation on OpenBSD.

 src/yxapp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 57e5ed0ba16a4b9cc43ef7bee9bc7410fe62f0f5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 23:12:07 2020 +0100

    Update XDND protocol implementation.

 src/ywindow.cc | 163 +++++++++++++----------
 src/ywindow.h  |  16 ++-
 src/yxapp.cc   | 382 +++++++++++++++++++++++++++--------------------------
 3 files changed, 298 insertions(+), 263 deletions(-)

commit 8adba6cbc83a85f33f19a6a141eb860c0e653976
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 23:10:20 2020 +0100

    make update-po

 po/ar.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/be.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/de.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/en.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/es.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/fi.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/fr.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/he.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/hr.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/hu.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 114 +++++++++++++++++++++++++++----------------------------
 po/id.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/ja.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/ko.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/lt.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/lv.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/no.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/pt.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 112 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/ru.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/sk.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/sv.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/tr.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 112 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 112 +++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 112 +++++++++++++++++++++++++++---------------------------
 39 files changed, 2185 insertions(+), 2185 deletions(-)

commit 14a03bd88095bd11be785b2e75ab807b4559f9d3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 20:32:42 2020 +0100

    Update XDND version from 3 to 5.

 src/wmapp.cc    |  2 +-
 src/wmclient.cc |  4 ++--
 src/ywindow.cc  | 19 ++++++-------------
 src/yxapp.h     |  2 +-
 4 files changed, 10 insertions(+), 17 deletions(-)

commit af5ba372bab1954e11104ecb32559bd66979d5bd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 20:32:42 2020 +0100

    Remove unused.

 src/base.h | 8 --------
 1 file changed, 8 deletions(-)

commit 8dbc525ba4e148e577fadea5f05b0abbc28cb334
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 18:48:54 2020 +0100

    Add actionLayers. Switch on action in actionPerformed.

 src/wmaction.h  | 21 ++++++++++--
 src/wmapp.cc    | 14 ++++----
 src/wmclient.cc |  8 ++---
 src/wmframe.cc  | 95 ++++++++++++++++++++++++++++++++++++-----------------
 src/wmmgr.cc    | 19 ++++++++++-
 5 files changed, 113 insertions(+), 44 deletions(-)

commit eb711548a1b650e7ed836dccd3138f7a6aaaf44e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 18:47:11 2020 +0100

    Remove unused frame members.

 src/wmframe.h | 7 -------
 1 file changed, 7 deletions(-)

commit 2655cd1cd2e89a9f8cc962c401988c9b13979a0c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 18:46:38 2020 +0100

    Apply SKIP_PAGER for PagerShowPreview.

 src/aworkspaces.cc | 1 +
 1 file changed, 1 insertion(+)

commit 6b84a4dbd958e1a16e48a8394e75734e7fb1aaf6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 13:50:43 2020 +0100

    Explain where delays are in milliseconds.

 src/default.h | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 18aec0b62f03a6e9fdb980ee07aaa35eba5accd8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 13:46:53 2020 +0100

    Use a minimum delay of 10 ms for taskbar delays to avoid #508.

 src/wmtaskbar.cc | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit be3313b8c4953c367dfb4811fa27c11b1b98fd66
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 13:45:42 2020 +0100

    Fix for changing layers when ABOVE or BELOW bit is set.

 src/wmframe.cc | 31 ++++++++++++++++++-------------
 1 file changed, 18 insertions(+), 13 deletions(-)

commit 37a138ed4cd5a6e74cbcc19058f525fa300f1883
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 4 13:45:09 2020 +0100

    Handle _WIN_LAYER messages via actionPerformed.

 src/wmclient.cc | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 560cbbd246a67330147d3917183a521374f9ffd2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 30 19:24:57 2020 +0100

    Only direct focus if frame is mapped.

 src/wmwinlist.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5fc5f5599c399716be4c6454516e96e628030ceb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 30 19:24:52 2020 +0100

    Catch changes in width_inc and height_inc for #510.

 src/wmframe.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit e14aaa8d5a8c8126698e3752bd2d30d3696a735f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 30 19:23:53 2020 +0100

    Define colors at top and lighten up the grey a bit.

 src/icehelp.cc | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 70fc4111234c051433b5e110ba34636dafe39fbe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 30 19:22:32 2020 +0100

    Update to 1.9.0.

 AUTHORS      |   22 +-
 ChangeLog    | 8529 ++++++++++++++++++++++++++++--------------------------
 NEWS         |  362 ++-
 VERSION      |    2 +-
 configure.ac |   10 +-
 5 files changed, 4597 insertions(+), 4328 deletions(-)

commit 29abd06add8b047c20176d44de6ba3bd84161f78
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 20:28:57 2020 +0100

    Prepare 1.9.0 release

 AUTHORS      |   22 +-
 ChangeLog    | 8529 ++++++++++++++++++++++++++++--------------------------
 NEWS         |  362 ++-
 README.md    |    2 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |    2 +-
 po/be.po     |    2 +-
 po/bg.po     |    2 +-
 po/ca.po     |    2 +-
 po/cs.po     |    2 +-
 po/da.po     |    2 +-
 po/de.po     |    2 +-
 po/el.po     |    2 +-
 po/en.po     |    2 +-
 po/es.po     |    2 +-
 po/fi.po     |    2 +-
 po/fr.po     |    2 +-
 po/he.po     |    2 +-
 po/hr.po     |    2 +-
 po/hu.po     |    2 +-
 po/icewm.pot |    4 +-
 po/id.po     |    2 +-
 po/it.po     |    2 +-
 po/ja.po     |    2 +-
 po/ko.po     |    2 +-
 po/lt.po     |    2 +-
 po/lv.po     |    2 +-
 po/mk.po     |    2 +-
 po/nb.po     |    2 +-
 po/nl.po     |    2 +-
 po/no.po     |    2 +-
 po/pl.po     |    2 +-
 po/pt.po     |    2 +-
 po/pt_BR.po  |    2 +-
 po/ro.po     |    2 +-
 po/ru.po     |    2 +-
 po/sk.po     |    2 +-
 po/sl.po     |    2 +-
 po/sv.po     |    2 +-
 po/tr.po     |    2 +-
 po/uk.po     |    2 +-
 po/vi.po     |    2 +-
 po/zh_CN.po  |    2 +-
 po/zh_TW.po  |    2 +-
 46 files changed, 4639 insertions(+), 4370 deletions(-)

commit 4ea1941841189fc119e6640f50516c8267c0c895
Merge: 6554e52f 813dd473
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 20:21:16 2020 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 813dd4736a185b740a0e0db134ead9fada9c0412
Merge: 31304553 d1e7a8f8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 20:16:25 2020 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit d1e7a8f863e61ac2444e5e1e2e22ccf7ae20ac94
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 18:50:24 2020 +0100

    make update-po

 po/ar.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/be.po     | 428 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 430 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 430 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/de.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/en.po     | 423 +++++++++++++++++++++++++++--------------------------
 po/es.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/fi.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/fr.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/he.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/hr.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/hu.po     | 428 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 425 +++++++++++++++++++++++++++---------------------------
 po/id.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/ja.po     | 433 +++++++++++++++++++++++++++----------------------------
 po/ko.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/lt.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/lv.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 430 +++++++++++++++++++++++++++---------------------------
 po/no.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/pt.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 426 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/ru.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/sk.po     | 430 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/sv.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/tr.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 426 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 426 +++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 426 +++++++++++++++++++++++++++---------------------------
 39 files changed, 8277 insertions(+), 8360 deletions(-)

commit db669d4d38f6857d353ed1707225d3a81fb41fb0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 29 18:49:34 2020 +0100

    Use default parameter of unmanage.

 src/wmmgr.cc | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit f34de0340657c371ff71fb0e477e28865bc80922
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 28 23:58:58 2020 +0100

    Prevent a frame without a client.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5fb8a22d5bd67d3c4872aa6867723c5ca5a7cb0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 27 12:38:22 2020 +0100

    Improve meaning of taskbar edge trigger timer.

 src/wmtaskbar.cc | 59 +++++++++++++++++++++-------------------------------
 src/wmtaskbar.h  | 16 +++++++-------
 2 files changed, 31 insertions(+), 44 deletions(-)

commit a4f6c7642c4520663e99884821be33952bf4c7b0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 27 12:38:22 2020 +0100

    Use accessors. Fix for Xmgrace in #506. Simplify manageClient.

 src/decorate.cc |  8 +++----
 src/wmframe.cc  | 66 ++++++++++++++++++++++-------------------------------
 src/wmmgr.cc    | 32 ++++++++++----------------
 src/wmmgr.h     |  2 +-
 4 files changed, 44 insertions(+), 64 deletions(-)

commit 98e27dc1095deefd51bc11badfba51cb51119716
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 27 09:08:19 2020 +0100

    Revert "Stop overpainting clock every second when not needed"
    Because it causes valgrind errors like:
    "Conditional jump or move depends on uninitialised value(s)".
    It also changes lines for which there is no justification to change
    them.
    This reverts commit 54f8e02959e73f5a7fce7ab6a84a45943bd46a90.

 src/aclock.cc | 13 +++----------
 src/aclock.h  |  2 +-
 2 files changed, 4 insertions(+), 11 deletions(-)

commit 6161c2a4ef9dcb214c66103b7591345c4e177b23
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 25 17:24:15 2020 +0100

    Simplify basename extraction

 src/yicon.cc | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 3994ab4d3097c9b4d65e66230ab45d0901dd33c0
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 25 16:42:48 2020 +0100

    Apply icon theme blacklisting also to private dirs

    Previously the theme's icons folders were always considered. Now user
    has a way to use everything from a Theme but not the icons.

    Also stop stat'ing on image files (while looking for folders) and
    simplify logics.

 src/yicon.cc | 36 +++++++++++++++++++++++++-----------
 1 file changed, 25 insertions(+), 11 deletions(-)

commit b617ba5c72d6bed3c251dd6f35076340e940aad2
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 23 21:30:36 2020 +0200

    More use of unicode ellipsis

    Also obey 80char limit

 src/wmprog.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 9b9d3f15d428358b40419bcd9aac8edc55c344d9
Author: Panwar <caspian7pena@gmail.com>
Date:   Thu Oct 22 06:19:30 2020 +0000

    Translated using Weblate (Hindi)

    Currently translated at 25.1% (85 of 338 strings)

 po/hi.po | 181 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 100 insertions(+), 81 deletions(-)

commit 54a7a4636b61cf2d0fa531b70750d095a307a25a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 21:53:21 2020 +0200

    Record and size resizes when fullscreen to saved size hints.
    Permit size hints width_inc and height_inc to be zero to disable
    maximization.

 src/movesize.cc |  8 ++++----
 src/wmclient.cc | 20 +++++++++++---------
 src/wmclient.h  |  5 ++---
 src/wmframe.cc  | 44 +++++++++++++++++++++++++++-----------------
 src/wmstatus.cc |  8 ++++----
 5 files changed, 48 insertions(+), 37 deletions(-)

commit d28cc0f78f1345341b2f648f5cb3cefa60c17660
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:39:41 2020 +0200

    Prefer actionPerformed on window key bindings.

 src/movesize.cc | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 6019c009432a2e0492ccadef4e18e6b77181293d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:34:52 2020 +0200

    Workaround for non-standard behavior of xnec2c in issue #503. Simplify
    mapClient.

 src/wmmgr.cc | 19 ++++++++++---------
 src/wmmgr.h  |  2 +-
 2 files changed, 11 insertions(+), 10 deletions(-)

commit d0e89b871c6ef9ec9e8e3208c70eeec671bf72ee
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:34:52 2020 +0200

    Prefer actionPerformed on window key bindings.

 src/wmframe.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d773126f0b5c0fb0ef660f2f3c900146269118d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:34:52 2020 +0200

    In progpath insist on a regular file.

 src/misc.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f42be943502cde42a17aa4dd3e0c09dfc90d245f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 20 03:34:52 2020 +0200

    Update logevents.

 src/logevent.cc | 41 +++++++++++++++++++++--------------------
 1 file changed, 21 insertions(+), 20 deletions(-)

commit 1d267d8ce688d4ef54422935e2816da014bbc0c2
Merge: 12835c47 bbe4d854
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 14 20:46:05 2020 +0200

    Merge remote-tracking branch 'bbidulock/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

    Including override flag change.

commit bbe4d854084d4526309ee1e5d0557d22320dd4bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 12 23:53:29 2020 +0200

    Fix compilation warnings. Fix iteration errors.

 src/yfontxft.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7825d1b95168e299ddf6181a60d12a48fd06183c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 12 23:43:13 2020 +0200

    Simplify introductions.

 man/icewm-session.pod | 19 +++++++++----------
 man/icewm.pod         | 42 ++++++++++++++++++++++--------------------
 2 files changed, 31 insertions(+), 30 deletions(-)

commit 9ee0cc301d98be79c1479ab897b19e4a1167cfd6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 12 23:42:33 2020 +0200

    Optimize loading of configuration.

 src/icesm.cc    |   4 +-
 src/icetray.cc  |  15 +---
 src/icewmbg.cc  |  14 +---
 src/wmapp.cc    | 135 ++++++++++++------------------------
 src/wmapp.h     |  17 +++--
 src/wmconfig.cc |  45 ++++++------
 src/wmconfig.h  |   9 ++-
 src/wmframe.cc  |   5 --
 src/wmmgr.cc    |   6 +-
 src/wmprog.cc   |   2 +-
 src/yconfig.cc  | 192 +++++++++++++++++++++++++++++-----------------------
 src/yconfig.h   |  81 +++++++++++++---------
 src/ykey.h      |   6 +-
 src/ypixmap.h   |   8 ++-
 src/yprefs.h    |   5 +-
 src/yxapp.cc    |   1 +
 src/yxtray.cc   |   1 +
 17 files changed, 261 insertions(+), 285 deletions(-)

commit 12835c47db05341be6bd8a60af39d42a855c78c9
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Oct 12 19:54:41 2020 +0200

    Set override flags consistently in YXftFont

 src/yfontxft.cc | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 54f8e02959e73f5a7fce7ab6a84a45943bd46a90
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 9 11:47:16 2020 +0200

    Stop overpainting clock every second when not needed

    Also deobfuscate code.

 src/aclock.cc | 13 ++++++++++---
 src/aclock.h  |  2 +-
 2 files changed, 11 insertions(+), 4 deletions(-)

commit 9e1e48cb9dd2e98a2adf6dfae630cb50b82dc9d6
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Oct 9 01:10:37 2020 +0200

    Revival of Unicode Ellipsis integration

    This time extra conservative, only using when the font set supports it
    for sure.

    Also extending docs for issue #500 and align with default setting.

 doc/icewm.adoc  |  4 ++--
 src/default.h   |  2 +-
 src/themes.cc   |  7 ++++++-
 src/wmprog.cc   | 15 +++++++++++++--
 src/yfontxft.cc | 11 +++++++++++
 src/ypaint.cc   | 36 +++++++++++++++++++++---------------
 src/ypaint.h    |  1 +
 7 files changed, 55 insertions(+), 21 deletions(-)

commit 71477c44f6d92269946c590b370c89872dec1766
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Oct 8 12:57:48 2020 +0200

    Improve Graphics::drawStringEllipsis

    Make the function readable, and consider multibyte whitespace

    For issue #500

 src/ypaint.cc | 105 +++++++++++++++++++++++++++++-------------------------
 1 file changed, 56 insertions(+), 49 deletions(-)

commit 97147d090b91f83f9825740a5b0333c64fa29dc5
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Oct 8 11:29:50 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (470 of 470 strings)

 po/pt.po | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 54bd0aad87c72139ddb3439d0930bd292d874469
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 4 11:05:29 2020 +0200

    Handle requests for layer changes via actionPerformed to improve
    consistency.

 src/wmclient.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit aaad915113136354eb1eb8a36d3f0628605fcdf8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 4 11:05:17 2020 +0200

    Fixes for TaskBarAutoHide for #499. Don't hide when taskbar is collapsed.

 src/wmtaskbar.cc | 58 +++++++++++++++++++++++++++-------------------------
 src/wmtaskbar.h  |  7 +++----
 2 files changed, 33 insertions(+), 32 deletions(-)

commit 6744c6624dcb8cf338256b96c991a14f279d4b9c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 23:33:54 2020 +0200

    Eliminate some preprocessor checks.

 configure.ac          | 3 +--
 src/CMakeLists.txt    | 5 -----
 src/acpustatus.cc     | 2 --
 src/config.cmake.h.in | 5 -----
 src/icehelp.cc        | 2 --
 src/icesound.cc       | 6 ------
 src/misc.cc           | 9 ---------
 7 files changed, 1 insertion(+), 31 deletions(-)

commit 1da37b2750c45a300d2740dee30f8300910e93e0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 23:33:54 2020 +0200

    Fix requests switching between different maximizations. Move
    _NET_RESTACK_WINDOW request to its dedicated function.

 src/wmclient.cc | 31 +++++++++++++++++++------------
 src/wmframe.cc  | 37 ++++++++++++++++++++++++-------------
 src/wmframe.h   |  1 +
 3 files changed, 44 insertions(+), 25 deletions(-)

commit d070d9e5f270e4a8e7d4541deaa2ee773780c259
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 23:33:54 2020 +0200

    Assume the _NET_RESTACK_WINDOW support from 1.8.3.

 src/icesh.cc | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

commit 9ee889eb664aabd1c5a330c818386e4e1ef4459a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:59:01 2020 +0200

    Add missing spaces.

 src/aapm.cc        | 10 +++++-----
 src/acpustatus.cc  | 12 ++++++------
 src/globit.c       |  4 ++--
 src/wmprog.cc      |  4 ++--
 src/wmswitch.cc    | 14 +++++++-------
 src/wmswitch.h     |  2 +-
 src/ycollections.h | 16 ++++++++--------
 src/yinput.cc      |  2 +-
 src/ypointer.h     |  2 +-
 9 files changed, 33 insertions(+), 33 deletions(-)

commit e37995e9f4dc9c7d03682f5ea5badd4cae16258f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    Set check flag for AllWorkspaces.

 src/wmwinlist.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 31e198869af152da0b0b5b2f930fddf340b6b38f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    Use isAllWorkspaces instead of isSticky, because the latter was unused
    by icewm.

 src/wmswitch.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f18365c50642aa67199a1c45de2fa092c0ab3a01
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    Prefer to handle client message requests via actionPerformed for
    consistency. Make AllWorkspaces consistent with Sticky.

 src/wmclient.cc | 129 +++++++++++++++++++++++++++++++++++++---------------
 src/wmclient.h  |   1 +
 src/wmframe.cc  |  36 +++++++--------
 3 files changed, 111 insertions(+), 55 deletions(-)

commit 851c8f1b84224dd71946a2ac7d951fa357c07407
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    Typo

 src/logevent.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd020810afd4aa709849248bd70fdb896c0aab68
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 29 07:45:05 2020 +0200

    More succinct.

 src/icesh.cc | 85 +++++++++++++++++++-------------------------------------
 1 file changed, 28 insertions(+), 57 deletions(-)

commit 70a828f50146142f77c49941260b50d4d70b866c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 28 00:50:46 2020 +0200

    Add sticky, unsticky, borderless, bordered.

 man/icesh.pod         | 36 ++++++++++++++++-------
 man/icewm-startup.pod | 16 ++++++++--
 src/icesh.cc          | 75 +++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 112 insertions(+), 15 deletions(-)

commit 3ca0bc7b8414798ff498cbec170b973bcdc17026
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 28 00:50:46 2020 +0200

    Several fixes for correct PagerShowPreview updates for #496. Fix desktop
    mini icon for fullscreen windows. Allow at most one of fullscreen or
    maximized. Allow at most one of rollup, minimized, hidden. Don't activate
    fullscreen window on startup when it is unmapped. Handle _NET_WM_STATE
    change requests via the frame wm functions.

 src/decorate.cc  |  14 +++--
 src/wmclient.cc  | 111 ++++++++++++++++++++++++++++-----
 src/wmclient.h   |   1 +
 src/wmframe.cc   | 169 ++++++++++++++++++++++++---------------------------
 src/wmframe.h    |   8 ++-
 src/wmmgr.cc     |  32 ++++------
 src/wmtaskbar.cc |   9 ++-
 src/wmtaskbar.h  |   2 +-
 8 files changed, 214 insertions(+), 132 deletions(-)

commit 7ebb593db79738a143af9199d473feba2132233f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 28 00:50:46 2020 +0200

    Check only one menu entry for fullscreen or maximized. Fix minimize check.

 src/wmwinlist.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e19d99e63d107c4001b8eb3048ed10a083191b53
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 28 00:50:46 2020 +0200

    Add pseudo state WinStateUnmapped

 src/WinMgr.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 882a1b1851835e1fd05c80aa9c296d1f0e438b83
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Sat Sep 26 04:22:52 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (470 of 470 strings)

 po/id.po | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 01ce65095342f259ca3f88e4f2fcdea265e81ade
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 25 20:12:14 2020 +0200

    Work around compiler warnings on PowerPC

 src/apppstatus.cc |  2 +-
 src/wmframe.cc    |  6 +++---
 src/wmmgr.h       |  4 ++--
 src/ycolor.cc     | 20 ++++++++++++--------
 4 files changed, 18 insertions(+), 14 deletions(-)

commit 4e6e4edaed92263517a9d1d0acde33738fb6232b
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Wed Sep 23 21:30:05 2020 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (470 of 470 strings)

 po/nl.po | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit c570a6fcd1de5d9f621a593fa9b0c4211ab47824
Author: Aleš Kastner <alkas@volny.cz>
Date:   Wed Sep 23 20:38:36 2020 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (470 of 470 strings)

 po/cs.po | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit d713d625c76390899494a0813d33509099793202
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 24 01:18:16 2020 +0200

    Improved response to changes in Motif hint property which avoids resizing
    client when border toggles.

 src/wmframe.cc | 22 +++++-----------------
 src/wmframe.h  |  8 ++++----
 2 files changed, 9 insertions(+), 21 deletions(-)

commit 9cac358fe5d2bfa02f24ad0f3cd090a671aabe22
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Wed Sep 23 17:47:36 2020 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (470 of 470 strings)

 po/sk.po | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit ad5319222cea64fb0b919098efb4b455102ba950
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Wed Sep 23 17:27:24 2020 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (470 of 470 strings)

 po/pt_BR.po | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit d5823914dfabaead71fc6c6f90913cefdd5e2ba5
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Wed Sep 23 08:55:26 2020 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (470 of 470 strings)

 po/ja.po | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 2f6105fa21caeb67058544f02be1e339d56b0503
Author: David Medina <medipas@gmail.com>
Date:   Wed Sep 23 07:03:12 2020 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (470 of 470 strings)

 po/ca.po | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 3590cf055c36b513bde2fbcfeeea19b3b7149a86
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 01:30:10 2020 +0200

    Benefit from iterable YProperty.

 src/yxtray.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b7857f2f32cb474680a9d1df26eae0cd743b0669
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 01:19:06 2020 +0200

    make update-po

 po/ar.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/be.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/bg.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/ca.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/cs.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/da.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/de.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/el.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/en.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/es.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/fi.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/fr.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/he.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/hr.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/hu.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/icewm.pot | 148 +++++++++++++++++++++++++++++--------------------------
 po/id.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/it.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/ja.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/ko.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/lt.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/lv.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/mk.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/nb.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/nl.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/no.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/pl.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/pt.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 146 +++++++++++++++++++++++++++++-------------------------
 po/ro.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/ru.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/sk.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/sl.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/sv.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/tr.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/uk.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/vi.po     | 146 +++++++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 146 +++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 146 +++++++++++++++++++++++++++++-------------------------
 39 files changed, 3043 insertions(+), 2653 deletions(-)

commit 365f66b6eccda780664d12c4f1ba40d0d561bc28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 01:15:11 2020 +0200

    Simplify and reduce LOC. Optimize frame doManage to eliminate a call to
    updateMwmHints. In updateMwmHints try without configureClient. Add
    FULLSCREEN to _NET_WM_ACTIONs. Benefit from iterable YProperty.

 src/decorate.cc |  37 +------------------
 src/movesize.cc |   6 +--
 src/wmclient.cc |  66 +++++++++++++++------------------
 src/wmclient.h  |  21 ++++++++++-
 src/wmframe.cc  | 103 +++++++++++-----------------------------------------
 src/wmframe.h   |  53 +++++++++------------------
 6 files changed, 90 insertions(+), 196 deletions(-)

commit 2f543d5dbf0ccebe345026644e20a4bd8eca68f7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 00:59:37 2020 +0200

    Make YProperty iterable.

 src/yxapp.h | 3 +++
 1 file changed, 3 insertions(+)

commit eeba081b0c399a0b1d848c23c8976e8b5be8b9dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 00:59:05 2020 +0200

    Avoid compiler warning for chdir.

 src/icesm.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 912722e2192bbd1d9e559b95c8537bb357f84789
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 00:57:56 2020 +0200

    Print property details for WM_STATE and _WIN_STATE.  Show Fullscreen
    in symbols.

 src/icesh.cc | 52 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

commit b0ecf6297ac86303b868c9f53e86d7b54a353736
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 23 00:56:29 2020 +0200

    Workaround for the MWM ALL hack.

 src/MwmUtil.h | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 4057d2003e72ebbad178eb03403e80e83b14f69a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 23:59:32 2020 +0200

    Restore Motif hints functionality.

 src/decorate.cc | 15 +++++++--------
 src/wmbutton.cc | 10 +++++++---
 src/wmbutton.h  |  1 +
 src/wmframe.cc  | 39 +++++++++++++++++++++------------------
 src/wmtitle.cc  | 16 ++++++++++++----
 src/wmtitle.h   |  1 +
 6 files changed, 49 insertions(+), 33 deletions(-)

commit cd55ad5f463c0de90814f2e918b3b5e5b5431093
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 23:56:12 2020 +0200

    Help on debugging options.

 src/icesm.cc | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit a0587274f81d6277aea33f32d01b0eb42afb3cd0
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 20 19:30:23 2020 +0200

    Compacting the network colleting classes even further

    Moved boilerplate into code file, keep only relevant interface in
    header.

 src/apppstatus.cc | 41 +++++++++++++++++++++++++++++++++++++++--
 src/apppstatus.h  | 43 +++----------------------------------------
 2 files changed, 42 insertions(+), 42 deletions(-)

commit ecc1f9791b66edb876bb0dad569d11f1e8612302
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 20 01:04:41 2020 +0200

    Drop extra functionality for ISDN status display

    ISDN is considered EOLed in 2020. Actually out of service except for
    some private operators, where the only extra functionality of icewm
    (dial-up number display) is probably irrelevant.

 src/apppstatus.cc | 48 +-----------------------------------------------
 src/apppstatus.h  | 10 ----------
 2 files changed, 1 insertion(+), 57 deletions(-)

commit 9ca88551801c30247928772eb32fac1aecb6470e
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 20 00:08:01 2020 +0200

    Inline an external data fetching function

    Making an outer function here does not make much sense.

 src/apppstatus.cc | 74 +++++++++++++++++++++------------------------------
 src/apppstatus.h  | 13 ---------
 src/wmtaskbar.cc  |  6 ++---
 3 files changed, 34 insertions(+), 59 deletions(-)

commit d9464ab7278c68b4dee9895282662e9fc5b3f641
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 10:09:53 2020 +0200

    Add missing getProtocols to message dialog to fix issue #494.

 src/ymsgbox.cc | 1 +
 1 file changed, 1 insertion(+)

commit b5933ab362d587981c7fa4b854932bb6e6faa59e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:55:33 2020 +0200

    Always send one synthetic ConfigureNotify on initial window map for
    issue #492.
    Remove resize indicators when unneeded. Reduce redraws in title bar.
    Support incomplete _MOTIF_WM_HINTS property for mlterm.

 src/decorate.cc    | 69 ++++++++++++++++++++------------------------------
 src/wmclient.cc    | 25 ++++++++----------
 src/wmclient.h     |  4 +--
 src/wmcontainer.cc |  5 ++--
 src/wmframe.cc     | 58 +++++++++++++++---------------------------
 src/wmframe.h      | 10 ++++----
 src/wmmgr.cc       | 10 +++-----
 src/wmtitle.cc     |  2 ++
 8 files changed, 73 insertions(+), 110 deletions(-)

commit c2f7051fcbc0a52d2f2b9423a3efa50ea9c695b1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:54:37 2020 +0200

    Only test subwindow if indicators are created.

 src/movesize.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b662f170e0f0faaced94587bce624146f63f548b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:52:35 2020 +0200

    Add setType and getType to icesh for _NET_WM_WINDOW_TYPE.

 src/icesh.cc | 63 ++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 61 insertions(+), 2 deletions(-)

commit 103bd6576eb13bef10b0260d071a8ca50347f191
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:50:39 2020 +0200

    Add --valgrind and --catchsegv options to icewm-session for debugging.

 src/icesm.cc | 28 ++++++++++++++++++++++++----
 1 file changed, 24 insertions(+), 4 deletions(-)

commit 8245982f9879265918d0ff1279c1f04729fcc0fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:48:19 2020 +0200

    Allow 'Above' as a synonym for 'OnTop'.

 src/wmoption.cc | 1 +
 1 file changed, 1 insertion(+)

commit 43d5bfa2eec20aed85a227bfad4aa6062ea2273a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 09:47:43 2020 +0200

    Don't reconfigure the taskbar if unnecessary.

 src/wmtaskbar.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4a330a27b3d6855e28838b861f4dd2eea1cdf5d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 20 02:04:50 2020 +0200

    Properly handle name lookup failure for mailboxes for issue #493.

 src/amailbox.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit b83f0c764b53737e7cc8e110a9471893f4d959c6
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 19 19:17:55 2020 +0200

    Also drop the menu category from session description

    There seems to be no evidence for a requirement of this anywhere, also
    there is apparently no officially specified category "WindowManagers".

    Also fix typo in Name[de].

 lib/icewm-session.desktop | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit acd63c59fc54fee84025dd4c297089a563e87b5c
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 19 17:44:36 2020 +0200

    Fix invalid application type

    Also added German & Russian translations

 lib/icewm-session.desktop | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 93bdaea51f8ca8f07c7700f2a99cf320585fe9c1
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 19 17:51:43 2020 +0200

    Add recent icons to AM

 lib/Makefile.am | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 78507a6d0a4970353f4d77cde7a8033b82b793a5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 21:30:28 2020 +0200

    Update to 1.8.3

 AUTHORS      |   35 +-
 ChangeLog    | 8544 +++++++++++++++++++++++++++---------------------------
 NEWS         |  Bin 29248 -> 34262 bytes
 README.md    |    4 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 7 files changed, 4262 insertions(+), 4335 deletions(-)

commit 6554e52fb991ffa5a4f9bcc0d3a1bd219b310e63
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 02:08:26 2020 +0200

    Prepare 1.8.3 release bis

 AUTHORS      |   2 +-
 ChangeLog    | 122 +++++++++++++++++++++++++++++++++++--------------------
 NEWS         |  11 +++--
 README.md    |   2 +-
 configure.ac |   4 +-
 5 files changed, 90 insertions(+), 51 deletions(-)

commit 6bc8d04acb290f764994ad56709aa59becccc7b9
Merge: 57a0569a 31304553
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 02:03:11 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 31304553f5870c6d50b6941347efc23acb1876e1
Merge: 0bb305af 5cceaaaa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 01:59:18 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 5cceaaaafb5d3cf09cfae996f0eb43088a0aef9b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 17 01:40:49 2020 +0200

    Check if filedescriptor is valid and fix off-by-one allocation error.

 src/yfileio.cc | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 57a0569ae62df90f6ff2569c735f54a6601966a2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 23:36:14 2020 +0200

    Prepare 1.8.3 release

 AUTHORS      |  19 +-
 ChangeLog    | 919 +++++++++++++++++++++++++++++--------------------------
 NEWS         | 201 +++++-------
 README.md    |  36 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  14 +-
 po/be.po     |  14 +-
 po/bg.po     |  14 +-
 po/ca.po     |  14 +-
 po/cs.po     |  14 +-
 po/da.po     |  14 +-
 po/de.po     |  14 +-
 po/el.po     |  14 +-
 po/en.po     |  14 +-
 po/es.po     |  14 +-
 po/fi.po     |  14 +-
 po/fr.po     |  14 +-
 po/he.po     |  14 +-
 po/hr.po     |  14 +-
 po/hu.po     |  14 +-
 po/icewm.pot |  16 +-
 po/id.po     |  14 +-
 po/it.po     |  14 +-
 po/ja.po     |  14 +-
 po/ko.po     |  14 +-
 po/lt.po     |  14 +-
 po/lv.po     |  14 +-
 po/mk.po     |  14 +-
 po/nb.po     |  14 +-
 po/nl.po     |  14 +-
 po/no.po     |  14 +-
 po/pl.po     |  14 +-
 po/pt.po     |  14 +-
 po/pt_BR.po  |  14 +-
 po/ro.po     |  14 +-
 po/ru.po     |  14 +-
 po/sk.po     |  14 +-
 po/sl.po     |  14 +-
 po/sv.po     |  14 +-
 po/tr.po     |  14 +-
 po/uk.po     |  14 +-
 po/vi.po     |  14 +-
 po/zh_CN.po  |  14 +-
 po/zh_TW.po  |  14 +-
 46 files changed, 884 insertions(+), 853 deletions(-)

commit 1d8e030b12a35676308e1e57e2ae1acf3dd41231
Merge: 4f3c2fc9 0bb305af
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 23:25:20 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 0bb305afe4be0506fdc2c725abf8f0ef0c6c1c48
Merge: d8b6c997 8cdd5da5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 19:32:01 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 8cdd5da58df9dfa4224e433ee14ed6184c5c84d2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 03:52:28 2020 +0200

    Prevent compiler warning on chdir.

 src/icesm.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2552cf5efa2f3542a1b6900c8f8145ba23e19ce6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 03:43:36 2020 +0200

    Use pragmas to prevent compiler complaints if LOGEVENTS.

 src/logevent.cc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit a05d15f944da15d3f16b7edcef9d2672771a5497
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 02:21:24 2020 +0200

    Make it compile on G++ 7.5.0.

 src/wmtaskbar.cc | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 47503036a1b06dde9390d7b9dbad75d5f50dd9f9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 16 02:04:56 2020 +0200

    Reduce number of workarea updates for taskbar.
    Only let taskbar have struts if at top or bottom of screen.
    Keep global positioning of internal clients local to clients.
    Fix for autohide taskbar not wanting to hide.
    Support TaskBarAutoHide for TaskBarKeepBelow.

 src/wmapp.cc     |  4 +---
 src/wmframe.cc   | 48 +++++++++++++++++++++++++-----------------------
 src/wmtaskbar.cc | 46 +++++++++++++++++++++++++++++++---------------
 src/wmtaskbar.h  |  2 +-
 src/ytooltip.cc  |  2 +-
 5 files changed, 59 insertions(+), 43 deletions(-)

commit e4cec2cc0d9a5912f89c82ccb8aa3e3f2758d91c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 21:40:29 2020 +0200

    Fix tooltip positioning.

 src/ytooltip.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f893bc5edbec9fe0d8f75b5c2cba20c50abb3a7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 18:27:45 2020 +0200

    Prefer tlog over printf when logging.

 src/logevent.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 78e0505335f250e077e13105aa0601728baaad11
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 18:04:51 2020 +0200

    Send synthetic ConfigureNotify events for resizing only when required
    by the ICCCM specification.
    Send synthetic ConfigureNotify events for positioning whenever this is
    required by the ICCCM specification.
    Fix for EWMH restack raise requests.
    Reflect layer changes in the ABOVE and BELOW flags in the EWMH
    _NET_WM_STATE property.
    Only update the frame position when it really has changed.

 src/decorate.cc |  10 +++--
 src/wmframe.cc  | 116 ++++++++++++++++++++++------------------------------
 src/wmframe.h   |   8 ++--
 3 files changed, 61 insertions(+), 73 deletions(-)

commit f466a9cfaf68564d58dd85cd9f8db5faa2a94a1c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 18:04:33 2020 +0200

    Check if a map request is for a mapped window.

 src/wmcontainer.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 6bb621c83a8d2eee262f4e44848ed0e634defcd1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 15 18:00:32 2020 +0200

    Simplify removing a frame app from the taskbar.

 src/atasks.cc    | 14 +++-----------
 src/atasks.h     |  1 -
 src/atray.cc     | 29 +++++++++++------------------
 src/atray.h      |  2 +-
 src/wmtaskbar.cc |  4 ++--
 5 files changed, 17 insertions(+), 33 deletions(-)

commit 3e8f53cdba6e25f2785789d570ca6e3f26faeeac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 23:24:39 2020 +0200

    make update-po

 po/ar.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/be.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/bg.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/ca.po     | 143 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/da.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/de.po     | 143 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/en.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/es.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/fi.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/fr.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/he.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/hr.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/hu.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 142 +++++++++++++++++++++++++++---------------------------
 po/id.po     | 143 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/ja.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/ko.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/lt.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/lv.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/mk.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/nb.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/nl.po     | 144 +++++++++++++++++++++++++++----------------------------
 po/no.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/pl.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/pt.po     |  62 ++++++++++++------------
 po/pt_BR.po  | 143 +++++++++++++++++++++++++++---------------------------
 po/ro.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/ru.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/sk.po     | 143 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/sv.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/tr.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/uk.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/vi.po     | 140 ++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 140 ++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 140 ++++++++++++++++++++++++++---------------------------
 39 files changed, 2694 insertions(+), 2709 deletions(-)

commit 7ecb6850cab22efde2d1eed0b2d653bfa7879388
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 23:07:26 2020 +0200

    Add WinStateFullscreen to the visible _WIN_STATE bits.

 src/WinMgr.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a5363651a3de7895f5a7e06729c4058d3c98fef8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:57:31 2020 +0200

    Simplify setState with deltaState.

 src/wmframe.cc | 37 +++++++++++++++++++------------------
 1 file changed, 19 insertions(+), 18 deletions(-)

commit c30c1c1fcadce54e8c8c9858c284666a3a986083
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:34:36 2020 +0200

    Check if icon is null.

 src/ymenu.cc | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit d7f1464ca56b81dadd919892499e72aa75c68b9d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:33:53 2020 +0200

    Make switch icons opaque for 32-bit visuals.

 src/wmswitch.cc | 15 +++++++++++----
 src/wmswitch.h  |  1 +
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 3249d058edd6c2104c8c18d7ac10f350ccd4b17f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:32:23 2020 +0200

    Postpone taskbar app status updates until idle.

 src/wmframe.cc   | 15 ++++++++-------
 src/wmframe.h    |  1 +
 src/wmtaskbar.cc | 39 +++++++++++++++++++++------------------
 src/wmtaskbar.h  | 16 ++++++++++------
 4 files changed, 40 insertions(+), 31 deletions(-)

commit 1eae0c0749fcc352d1863a2e520ded3b770027d3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:30:59 2020 +0200

    Merge WM_WINDOW_ROLE and WINDOW_ROLE.

 src/wmclient.cc | 26 +++-----------------------
 src/wmclient.h  |  3 +--
 2 files changed, 4 insertions(+), 25 deletions(-)

commit 41e4bfda5cb4d203cc1b41e370ee46a5613861d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:30:04 2020 +0200

    Fix -list. Add +T. Print CARDINALs as unsigned. Show Above window handle
    for ConfigureNotify.

 src/icesh.cc | 35 +++++++++++++++++++++++++++++++----
 1 file changed, 31 insertions(+), 4 deletions(-)

commit 4fab5478a6335c14943db1ab75881ff7d801633e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 13 22:27:58 2020 +0200

    Only load icon if needed.

 src/atasks.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 662905903d52f2868937e73cc4a7765e1ab85794
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 12 01:05:35 2020 +0200

    Send just one ConfigureNotify message per resize.
    In setState first compute size and relayout before updating
    _NET_WM_STATE and _WIN_LAYER for issue #491 and
    postpone low-priority updates for different timing for GTK-menubar
    terminals.

 src/wmframe.cc | 161 +++++++++++++++++++++--------------------------------
 1 file changed, 65 insertions(+), 96 deletions(-)

commit 3a0452973dd1c81f8c07538650807e721e3883ba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 12 01:04:20 2020 +0200

    More succinct _NET_WM_STATE implementation.

 src/wmclient.cc | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

commit 0cfb46d98ad3ffcb9181719151dd556c64498c0f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 12 01:03:57 2020 +0200

    Show more detail in logConfigureRequest and logClientMessage.

 src/logevent.cc | 85 +++++++++++++++++++++++++++++++++--------------------
 1 file changed, 53 insertions(+), 32 deletions(-)

commit 5a1ae06121bc31da020a9def0b98dab3b374d165
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 12 01:00:35 2020 +0200

    Support "toggleState Fullscreen". Show state detail for spy ClientMessage.
    Support "iconic" and "normal" commands for WM_CHANGE_STATE.

 src/icesh.cc | 58 ++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 44 insertions(+), 14 deletions(-)

commit 356f55d79c0ee0a02723dece90967166b981f4d8
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Thu Sep 10 14:33:56 2020 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (469 of 469 strings)

 po/nl.po | 36 ++++++++----------------------------
 1 file changed, 8 insertions(+), 28 deletions(-)

commit 99dff22b92b8abe6bf1cd5d62dc39fc76f2f4710
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 10 14:24:19 2020 +0200

    Restore the translation which was overwritten by Weblate.

 po/pt.po | 2253 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 2194 insertions(+), 59 deletions(-)

commit b27252e4ea4a7eb9cb9fc39b454b7f0569de7325
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Sep 10 08:48:23 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (84 of 84 strings)

 po/pt.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bfa7a5951bb1a6d2467bcfb8720dc66485f84e1f
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Sep 9 22:59:45 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (84 of 84 strings)

 po/pt.po | 2207 +---------------------------------------------------------
 1 file changed, 21 insertions(+), 2186 deletions(-)

commit 78145d5b0dad7ec49e05cd4a866f19851974fc7c
Merge: d70673ea 3b70ad6a
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Wed Sep 9 20:39:15 2020 +0200

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 3b70ad6aa3710fd086d311d2f45969e69574898a
Author: Paolo Za <zapaolo@email.it>
Date:   Wed Aug 26 19:11:40 2020 +0000

    Translated using Weblate (Italian)

    Currently translated at 99.8% (468 of 469 strings)

 po/it.po | 37 +++++++++----------------------------
 1 file changed, 9 insertions(+), 28 deletions(-)

commit d70673eaf7e41c25b8bb6d9a7c434a0936eaf0a7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 22:16:50 2020 +0200

    Use wmHide or wmShow to hide or show the taskbar for #489.

 src/wmtaskbar.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit f160a3ceecccc27230aa4224bc0d60f03657e690
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 21:44:21 2020 +0200

    TaskBar cannot fullscreen.

 src/movesize.cc | 4 ++++
 src/wmframe.h   | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 4f3c2fc9b5df9aa2b9e5c9726a0a7e9a15bfe317
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 00:55:57 2020 +0200

    Prepare 1.8.2 release

 AUTHORS      |    3 +-
 ChangeLog    | 1017 ++++++++++++++++++++++++++----------------------------
 NEWS         |  128 +++----
 README.md    |   38 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |  118 +++----
 po/be.po     |  118 +++----
 po/bg.po     |  118 +++----
 po/ca.po     |  118 +++----
 po/cs.po     |  118 +++----
 po/da.po     |  118 +++----
 po/de.po     |  118 +++----
 po/el.po     |  118 +++----
 po/en.po     |  118 +++----
 po/es.po     |  118 +++----
 po/fi.po     |  118 +++----
 po/fr.po     |  118 +++----
 po/he.po     |  118 +++----
 po/hr.po     |  118 +++----
 po/hu.po     |  118 +++----
 po/icewm.pot |  120 +++----
 po/id.po     |  118 +++----
 po/it.po     |  118 +++----
 po/ja.po     |  118 +++----
 po/ko.po     |  118 +++----
 po/lt.po     |  118 +++----
 po/lv.po     |  118 +++----
 po/mk.po     |  118 +++----
 po/nb.po     |  118 +++----
 po/nl.po     |  118 +++----
 po/no.po     |  118 +++----
 po/pl.po     |  118 +++----
 po/pt.po     |  432 +++++++++++------------
 po/pt_BR.po  |  118 +++----
 po/ro.po     |  118 +++----
 po/ru.po     |  118 +++----
 po/sk.po     |  118 +++----
 po/sl.po     |  118 +++----
 po/sv.po     |  118 +++----
 po/tr.po     |  118 +++----
 po/uk.po     |  118 +++----
 po/vi.po     |  118 +++----
 po/zh_CN.po  |  118 +++----
 po/zh_TW.po  |  118 +++----
 46 files changed, 3048 insertions(+), 3070 deletions(-)

commit e277ad96bcdf70b8473e9daee1e337876660bc71
Merge: cd96c1d5 d8b6c997
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 00:22:21 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit d8b6c99794a78d3c26466fbdf5ae76dd9a9bdabb
Merge: b0bf123a 3749a355
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 8 00:19:45 2020 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 3749a3557cf86457fc7c38df551fc709c1b45597
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 7 22:07:53 2020 +0200

    Emulate gmake for Arch.

 rebuild.sh | 6 ++++++
 1 file changed, 6 insertions(+)

commit 2eb7a740aa0c2eef4c02e8f7c6f1d84d7a8d1dd5
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 7 10:23:56 2020 +0200

    Fixed and extended fakeroot detection and exceptions

 src/strtest.cc | 47 +++++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 22 deletions(-)

commit 7153174d0d1993991eab19797fda405306c8956d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 7 03:40:29 2020 +0200

    Also for strtest.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23d646cc0aaf07e303dee269d58396c79b3850e6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 7 03:32:09 2020 +0200

    Make cmake work for BSD+Solaris.

 rebuild.sh         | 18 +++++++++---------
 src/CMakeLists.txt | 51 ++++++++++++++++++++++++++++----------------------
 2 files changed, 38 insertions(+), 31 deletions(-)

commit 5f11406820cab8b428ec89236c791215612b9ee5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 23:23:19 2020 +0200

    Add x11_ldflags to cmake genpref build.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e32afd7bc92e791b3798f63d4c29ae220ad29d3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 19:48:00 2020 +0200

    Enable inclusion of sys/sysctl.h for sysctlbyname for FreeBSD.

 src/acpustatus.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6883aa54cfe32348b4a1aaa4d49609b812f1e80c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 18:55:52 2020 +0200

    Ignore a zero file size for /proc filesystem for issue #488.

 src/yfileio.cc | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 3430958506d766cd35564249be1cc167a45f13af
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 18:54:51 2020 +0200

    Reduce CHECK_FUNCTION and CHECK_INCLUDE to essentials.

 src/CMakeLists.txt    | 19 ++--------------
 src/config.cmake.h.in | 58 ++++++-----------------------------------------
 2 files changed, 9 insertions(+), 68 deletions(-)

commit 29d5de77716fc83693b931f8c28ee2c286461f37
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 18:53:40 2020 +0200

    Reduce AC_CHECK_FUNCS and AC_CHECK_HEADERS to essentials.

 configure.ac | 18 ++++--------------
 1 file changed, 4 insertions(+), 14 deletions(-)

commit b151eb6a988fa94c56c09485986f88a7d69cb24c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 18:51:41 2020 +0200

    Update version to 1.8.1.

 VERSION      | 2 +-
 configure.ac | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 6c005554c1a262a872d964659a17355ddf363389
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 17:04:41 2020 +0200

    Permit non-gnu date.

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3123b1dcccae86100bdac564b90b9a453effb853
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 16:09:52 2020 +0200

    Improve VERSION_RAW.

 autogen.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d5117b0fda367eb2a8ee27e13e12c829c63d330c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 15:07:25 2020 +0200

    Benefit from userhome when locating home directory.

 src/icesm.cc | 7 ++++++-
 src/yapp.cc  | 9 ++++-----
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 0199788891a480b98b92cd8fc12885e93135ea38
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 14:56:02 2020 +0200

    Revert "Extra control flow checking", because the strict exit code
    checking makes it too brittle. The CI build now also fails.

    This reverts commit f79e237ee0036e36b97e829fcecab7b6cc6bf5b7.

 autogen.sh | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 8c0f2365dc94e36f66b84d6e58f2a38218afee07
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 14:39:25 2020 +0200

    Improve use of userhome in tilde_expansion.

 src/misc.cc | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit efa64e8d67e6c766c44050994abccbbc2ac1d029
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 6 14:38:36 2020 +0200

    Solaris needs memset from string.h for FD_SET.

 src/yfileio.cc | 1 +
 1 file changed, 1 insertion(+)

commit f79e237ee0036e36b97e829fcecab7b6cc6bf5b7
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 6 12:48:24 2020 +0200

    Extra control flow checking

 autogen.sh | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 11ef3124fbba82bc0aa6110938c07f6c928679d0
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 6 11:53:46 2020 +0200

    ~ expansion is modified by fakeroot, don't consider it

    It deviates from $HOME. Tests on plain variables can be kept.

 src/strtest.cc | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 72794a99753f5392bebe6459be420bdb12c253d1
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 6 12:04:35 2020 +0200

    Update apt index before installing dependencies

    Or it will cause build failures when build agents were not refreshed
    quick enough.

 .github/workflows/cmake.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f2780de0998f0c0127245dc51c4d31884cd23aa
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 3 18:19:08 2020 +0200

    Rename LOGEVENTS option to follow existing pattern

    Make it friendly to cmake-gui grouped view.

 src/CMakeLists.txt | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit d46a7fde612314d348ce4fd91385f87b89157b85
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 5 13:15:48 2020 +0200

    Add userhome, dollar_expansion and tilde_expansion functions.
    Let path_lookup also perform dollar_expansion and tilde_expansion.
    In menuprog and menuprogreload do dollar_expansion and tilde_expansion.
    Move event logging from misc.cc to its own file logevent.cc.

 src/CMakeLists.txt |  22 +-
 src/Makefile.am    |   3 +
 src/base.h         |  45 +---
 src/debug.h        |   8 +-
 src/default.h      |   1 +
 src/icesh.cc       |   1 +
 src/icesm.cc       |   1 -
 src/logevent.cc    | 514 ++++++++++++++++++++++++++++++++++++
 src/logevent.h     |  52 ++++
 src/misc.cc        | 699 ++++++++++++-------------------------------------
 src/strtest.cc     |  77 ++++++
 src/upath.cc       |   2 +-
 src/wmmenu.cc      |  13 +-
 src/wmmgr.cc       |   1 -
 src/ywindow.h      |   1 +
 src/yxapp.cc       |   2 +
 src/yxtray.cc      |   2 +-
 17 files changed, 849 insertions(+), 595 deletions(-)

commit de65cbb8c8c70c4dbf149fdd77ef327cbf094b35
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 5 13:14:35 2020 +0200

    Keep value of fTransientFor for later.

 src/wmclient.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 2cb1e847576c1f5f3880e925e669b36cadba6a82
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 5 13:14:03 2020 +0200

    Reduce LOC in read_pipe.

 src/yfileio.cc | 77 +++++++++++++++++++++++++-----------------------------
 1 file changed, 35 insertions(+), 42 deletions(-)

commit ba135aca19c3677a5384cbd5865ece30b47c7382
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 5 13:12:43 2020 +0200

    Remove unused set_nb.

 src/yfileio.h | 2 --
 1 file changed, 2 deletions(-)

commit 774fa29df31aa4a8acc4c04e91cf9cbd78d80c76
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:44:03 2020 +0200

    Several fixes for reading from pipes with timeouts for issue #487.

 src/wmmenu.cc  |  35 ++++-----
 src/yfileio.cc | 217 +++++++++++++++++++++++++++--------------------------
 src/yfileio.h  |  69 +++++------------
 3 files changed, 149 insertions(+), 172 deletions(-)

commit 2b5b0d1c6d5d4293afdae9ba1e8d1d83db410ddf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:43:13 2020 +0200

    More comparison operators.

 src/ytime.h | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit d7297dae98347472b4a7a97e5ff66b585384edcf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:41:45 2020 +0200

    Add -C option for copyright.

 src/fdomenu.cc | 2 ++
 1 file changed, 2 insertions(+)

commit ca5c3b118df068ba527abacfb316afa79adb9889
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:40:04 2020 +0200

    Add -C option for copyright.

 src/icesound.cc | 3 +++
 1 file changed, 3 insertions(+)

commit b422e3ad5fa9c9be30fd84687771a6179b5879a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:39:02 2020 +0200

    Add -C option for copyright.

 src/icehelp.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit cc97952eea45cd8419048f4bc20ff50af2cf8e44
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 22:36:44 2020 +0200

    Add fsmart resize.

 src/ypointer.h | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 82d76bdb9f3b4d87793a61e42df51f9786119e01
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 04:18:38 2020 +0200

    Fix the inappropriate use of globals in the context of a dynamically
    loaded configuration for #483.

 src/yicon.cc | 211 ++++++++++++++++++++++++-------------------------------
 1 file changed, 93 insertions(+), 118 deletions(-)

commit d56e16619928d7bccb8a9e14df0f204c6513a505
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 04:18:25 2020 +0200

    Add find for YRefArray.

 src/yarray.h | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 4520307a4e6b77acd6778e6b09e8936547881c63
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 3 02:01:24 2020 +0200

    CMake support for LOGEVENTS.

 src/CMakeLists.txt    | 2 ++
 src/config.cmake.h.in | 3 ++-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit ef359cbffd58294bf776f3d01fbb9abff20cc0c5
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Sep 2 23:43:09 2020 +0100

    Update Portuguese (pt) translations (#486)

    * Update LINGUAS: Add pt.
    * Add files via upload: Create and update portuguese translation (pt)
    * Update icewm-session.desktop: Add Portuguese Name (pt).
    * Update icewm.desktop: Add Portuguese (pt) Comment and fix typo in
    English Comment "manager".

 lib/icewm-session.desktop |    1 +
 lib/icewm.desktop         |    3 +-
 po/LINGUAS                |    1 +
 po/pt.po                  | 2622 +++++++++++++++++++++++++++++++++++++++++
 4 files changed, 2626 insertions(+), 1 deletion(-)

commit d5d1dfd497df86801cf3a478bb38cf131510ca06
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Aug 25 15:33:55 2020 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (469 of 469 strings)

 po/pt.po | 1137 +++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 691 insertions(+), 446 deletions(-)

commit cbbb32bcf31490d08cc77d4176a6fbae5d18220c
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Sep 1 21:19:16 2020 +0200

    Added strtest exection in ctest

 CMakeLists.txt     | 2 ++
 src/CMakeLists.txt | 2 ++
 2 files changed, 4 insertions(+)

commit 11edd35e3e841c8f7a01d6fb38630c1e4390f4f9
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Sep 1 20:59:49 2020 +0200

    More CI build configs with more and less features

 .github/workflows/cmake.yml | 69 ++++++++++++++++++++++++++++-------------
 1 file changed, 47 insertions(+), 22 deletions(-)

commit 200a35a24187d3cbde3af1090fbe82aec4071326
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Sep 1 20:50:51 2020 +0200

    Basic autoconf CI setup

 .github/workflows/cmake.yml | 59 ++++++++++++++++++++++++++++-------------
 1 file changed, 40 insertions(+), 19 deletions(-)
